| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Types | Private Member Functions | Private Attributes | List of all members
HistogramSvc Class Reference

HistogramSvc class definition. More...

`#include <GaudiCommonSvc/HistogramSvc.h>`

Inheritance diagram for HistogramSvc:
[legend]
Collaboration diagram for HistogramSvc:
[legend]

## Classes
struct | Helper

## Public Types
using | Edges = std::vector< double >
using | DBaseEntries = std::vector< std::string >
typedef std::map< std::string, Gaudi::Histo1DDef > | Histo1DMap
Public Types inherited from extends< DataSvc, IHistogramSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from DataSvc
typedef std::vector< DataStoreItem > | LoadItems
| Define set of load items. More...
Public Types inherited from extends< Service, IDataProviderSvc, IDataManagerSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| HistogramSvc (const std::string &name, ISvcLocator *svc)
| Statndard Constructor. More...
| ~HistogramSvc () override
| Destructor. More...
std::pair< std::string, std::string > | i_splitPath (const std::string &full)
| Split full path into its components. More...
StatusCode | connectInput (const std::string &ident)
| Connect input histogram file to the service. More...
template<class T >
T * | i_book (DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
AIDA::IHistogram2D * | i_project (const std::string &nameAndTitle, const AIDA::IHistogram3D &h, const std::string &dir)
| Helper for 2D projections. More...
StatusCode | initialize () override
| Initialise the service. More...
StatusCode | reinitialize () override
| Initialise the service. More...
StatusCode | finalize () override
| finalize the service More...
AIDA::IHistogramFactory * | histogramFactory () override
| Retrieve the AIDA HistogramFactory interface. More...
AIDA::IHistogram1D * | book (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram1D * | book (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx) override
AIDA::IHistogram1D * | book (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx) override
AIDA::IHistogram1D * | book (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
virtual AIDA::IHistogram1D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx)
AIDA::IHistogram1D * | book (const std::string &full, const std::string &title, int nx, double lowx, double upx) override
AIDA::IProfile1D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
| Book histogram and register it with the histogram data store. More...
AIDA::IProfile1D * | bookProf (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
AIDA::IProfile1D * | bookProf (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
virtual AIDA::IProfile1D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, const std::string &opt)
AIDA::IProfile1D * | bookProf (const std::string &full, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
AIDA::IProfile1D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
AIDA::IProfile1D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
AIDA::IProfile1D * | bookProf (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
AIDA::IProfile1D * | bookProf (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
virtual AIDA::IProfile1D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt)
AIDA::IProfile1D * | bookProf (const std::string &full, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
AIDA::IProfile1D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
AIDA::IHistogram1D * | book (const std::string &par, int hID, const std::string &title, Edges e) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram1D * | book (DataObject *pPar, int hID, const std::string &title, Edges e) override
AIDA::IHistogram1D * | book (const std::string &par, const std::string &rel, const std::string &title, Edges e) override
virtual AIDA::IHistogram1D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, Edges e)
AIDA::IHistogram1D * | book (const std::string &full, const std::string &title, Edges e) override
AIDA::IHistogram1D * | book (DataObject *pPar, const std::string &rel, const std::string &title, Edges e) override
AIDA::IProfile1D * | bookProf (const std::string &full, const std::string &title, Edges e) override
| Book histogram and register it with the histogram data store. More...
AIDA::IProfile1D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, Edges e) override
AIDA::IProfile1D * | bookProf (const std::string &par, int hID, const std::string &title, Edges e) override
AIDA::IProfile1D * | bookProf (DataObject *pPar, int hID, const std::string &title, Edges e) override
virtual AIDA::IProfile1D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, Edges e)
AIDA::IProfile1D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, Edges e) override
virtual AIDA::IProfile1D * | bookProf (const std::string &full, const std::string &title, Edges e, double upper, double lower)
virtual AIDA::IProfile1D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, Edges e, double upper, double lower)
virtual AIDA::IProfile1D * | bookProf (const std::string &par, int hID, const std::string &title, Edges e, double upper, double lower)
virtual AIDA::IProfile1D * | bookProf (DataObject *pPar, int hID, const std::string &title, Edges e, double upper, double lower)
virtual AIDA::IProfile1D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, Edges e, double upper, double lower)
virtual AIDA::IProfile1D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, Edges e, double upper, double lower)
AIDA::IHistogram2D * | book (const std::string &full, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram2D * | book (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IHistogram2D * | book (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
virtual AIDA::IHistogram2D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy)
AIDA::IHistogram2D * | book (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IHistogram2D * | book (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
virtual AIDA::IProfile2D * | bookProf (const std::string &full, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
| Book histogram and register it with the histogram data store. More...
virtual AIDA::IProfile2D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
AIDA::IProfile2D * | bookProf (const std::string &full, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IProfile2D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
virtual AIDA::IProfile2D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy)
AIDA::IProfile2D * | bookProf (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IProfile2D * | bookProf (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IProfile2D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IHistogram2D * | book (const std::string &full, const std::string &title, Edges x, Edges y) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram2D * | book (const std::string &par, const std::string &rel, const std::string &title, Edges x, Edges y) override
AIDA::IHistogram2D * | book (const std::string &par, int hID, const std::string &title, Edges x, Edges y) override
virtual AIDA::IHistogram2D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, Edges x, Edges y)
AIDA::IHistogram2D * | book (DataObject *pPar, int hID, const std::string &title, Edges x, Edges y) override
AIDA::IHistogram2D * | book (DataObject *pPar, const std::string &rel, const std::string &title, Edges x, Edges y) override
AIDA::IProfile2D * | bookProf (const std::string &full, const std::string &title, Edges x, Edges y) override
| Book histogram and register it with the histogram data store. More...
AIDA::IProfile2D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, Edges x, Edges y) override
AIDA::IProfile2D * | bookProf (const std::string &par, int hID, const std::string &title, Edges x, Edges y) override
AIDA::IProfile2D * | bookProf (DataObject *pPar, int hID, const std::string &title, Edges x, Edges y) override
virtual AIDA::IProfile2D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, Edges x, Edges y)
AIDA::IProfile2D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, Edges x, Edges y) override
virtual AIDA::IProfile2D * | bookProf (const std::string &full, const std::string &title, Edges x, Edges y, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (const std::string &par, const std::string &rel, const std::string &title, Edges x, Edges y, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (const std::string &par, int hID, const std::string &title, Edges x, Edges y, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (DataObject *pPar, int hID, const std::string &title, Edges x, Edges y, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (const std::pair< std::string, std::string > &loc, const std::string &title, Edges x, Edges y, double upper, double lower)
virtual AIDA::IProfile2D * | bookProf (DataObject *pPar, const std::string &rel, const std::string &title, Edges x, Edges y, double upper, double lower)
AIDA::IHistogram3D * | book (const std::string &full, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram3D * | book (const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
AIDA::IHistogram3D * | book (const std::string &par, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
AIDA::IHistogram3D * | book (DataObject *pPar, int hID, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
virtual AIDA::IHistogram3D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz)
AIDA::IHistogram3D * | book (DataObject *pPar, const std::string &rel, const std::string &title, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
AIDA::IHistogram3D * | book (const std::string &full, const std::string &title, Edges x, Edges y, Edges z) override
| Book histogram and register it with the histogram data store. More...
AIDA::IHistogram3D * | book (const std::string &par, const std::string &rel, const std::string &title, Edges x, Edges y, Edges z) override
AIDA::IHistogram3D * | book (const std::string &par, int hID, const std::string &title, Edges x, Edges y, Edges z) override
AIDA::IHistogram3D * | book (DataObject *pPar, int hID, const std::string &title, Edges x, Edges y, Edges z) override
virtual AIDA::IHistogram3D * | book (const std::pair< std::string, std::string > &loc, const std::string &title, Edges x, Edges y, Edges z)
AIDA::IHistogram3D * | book (DataObject *pPar, const std::string &rel, const std::string &title, Edges x, Edges y, Edges z) override
StatusCode | registerObject (const std::string &parent, const std::string &rel, Base *obj) override
StatusCode | registerObject (const std::string &parent, int item, Base *obj) override
StatusCode | registerObject (Base *pPar, const std::string &rel, Base *obj) override
StatusCode | registerObject (DataObject *pPar, int item, Base *obj) override
StatusCode | registerObject (Base *pPar, int item, Base *obj) override
StatusCode | registerObject (const std::string &full, Base *obj) override
StatusCode | registerObject (DataObject *pPar, const std::string &rel, Base *obj) override
StatusCode | unregisterObject (Base *obj) override
StatusCode | unregisterObject (Base *obj, const std::string &objectPath) override
StatusCode | unregisterObject (Base *obj, int item) override
StatusCode | retrieveObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (IRegistry *pReg, const std::string &path, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (IRegistry *pReg, const std::string &path, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (const std::string &full, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (const std::string &full, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (const std::string &full, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (const std::string &full, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (const std::string &full, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (const std::string &parent, const std::string &rel, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (const std::string &parent, const std::string &rel, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (const std::string &parent, const std::string &rel, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (const std::string &parent, const std::string &rel, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (const std::string &parent, const std::string &rel, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (const std::string &parent, int item, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (const std::string &parent, int item, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (const std::string &parent, int item, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (const std::string &parent, int item, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (const std::string &parent, int item, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (DataObject *par, const std::string &item, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (DataObject *par, const std::string &item, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (DataObject *par, const std::string &item, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (DataObject *par, const std::string &item, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (DataObject *par, const std::string &item, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (DataObject *par, int item, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (DataObject *par, int item, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (DataObject *par, int item, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (DataObject *par, int item, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (DataObject *par, int item, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (Base *par, int item, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (Base *par, int item, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (Base *par, int item, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (Base *par, int item, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (Base *par, int item, AIDA::IHistogram3D *&obj) override
StatusCode | retrieveObject (Base *par, const std::string &item, AIDA::IProfile1D *&obj) override
StatusCode | retrieveObject (Base *par, const std::string &item, AIDA::IProfile2D *&obj) override
StatusCode | retrieveObject (Base *par, const std::string &item, AIDA::IHistogram1D *&obj) override
StatusCode | retrieveObject (Base *par, const std::string &item, AIDA::IHistogram2D *&obj) override
StatusCode | retrieveObject (Base *par, const std::string &item, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (IRegistry *pReg, const std::string &path, AIDA::IProfile1D *&obj) override
StatusCode | findObject (IRegistry *pReg, const std::string &path, AIDA::IProfile2D *&obj) override
StatusCode | findObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (IRegistry *pReg, const std::string &path, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (const std::string &full, AIDA::IProfile1D *&obj) override
StatusCode | findObject (const std::string &full, AIDA::IProfile2D *&obj) override
StatusCode | findObject (const std::string &full, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (const std::string &full, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (const std::string &full, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (const std::string &par, const std::string &rel, AIDA::IProfile1D *&obj) override
StatusCode | findObject (const std::string &par, const std::string &rel, AIDA::IProfile2D *&obj) override
StatusCode | findObject (const std::string &par, const std::string &rel, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (const std::string &par, const std::string &rel, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (const std::string &par, const std::string &rel, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (const std::string &par, int item, AIDA::IProfile1D *&obj) override
StatusCode | findObject (const std::string &par, int item, AIDA::IProfile2D *&obj) override
StatusCode | findObject (const std::string &par, int item, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (const std::string &par, int item, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (const std::string &par, int item, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (DataObject *par, int item, AIDA::IProfile1D *&obj) override
StatusCode | findObject (DataObject *par, int item, AIDA::IProfile2D *&obj) override
StatusCode | findObject (DataObject *par, int item, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (DataObject *par, int item, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (DataObject *par, int item, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (DataObject *par, const std::string &item, AIDA::IProfile1D *&obj) override
StatusCode | findObject (DataObject *par, const std::string &item, AIDA::IProfile2D *&obj) override
StatusCode | findObject (DataObject *par, const std::string &item, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (DataObject *par, const std::string &item, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (DataObject *par, const std::string &item, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (Base *par, int item, AIDA::IProfile1D *&obj) override
StatusCode | findObject (Base *par, int item, AIDA::IProfile2D *&obj) override
StatusCode | findObject (Base *par, int item, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (Base *par, int item, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (Base *par, int item, AIDA::IHistogram3D *&obj) override
StatusCode | findObject (Base *par, const std::string &item, AIDA::IProfile1D *&obj) override
StatusCode | findObject (Base *par, const std::string &item, AIDA::IProfile2D *&obj) override
StatusCode | findObject (Base *par, const std::string &item, AIDA::IHistogram1D *&obj) override
StatusCode | findObject (Base *par, const std::string &item, AIDA::IHistogram2D *&obj) override
StatusCode | findObject (Base *par, const std::string &item, AIDA::IHistogram3D *&obj) override
AIDA::IHistogram1D * | projectionX (const std::string &name, const AIDA::IHistogram2D &h) override
AIDA::IHistogram1D * | projectionY (const std::string &name, const AIDA::IHistogram2D &h) override
AIDA::IHistogram1D * | sliceX (const std::string &name, const AIDA::IHistogram2D &h, int indexY) override
AIDA::IHistogram1D * | sliceY (const std::string &name, const AIDA::IHistogram2D &h, int indexX) override
AIDA::IHistogram1D * | sliceX (const std::string &name, const AIDA::IHistogram2D &h, int indexY1, int indexY2) override
AIDA::IHistogram1D * | sliceY (const std::string &name, const AIDA::IHistogram2D &h, int indexX1, int indexX2) override
bool | destroy (IBaseHistogram *hist) override
AIDA::IHistogram1D * | add (const std::string &nameAndTitle, const AIDA::IHistogram1D &a, const AIDA::IHistogram1D &b) override
AIDA::IHistogram1D * | subtract (const std::string &nameAndTitle, const AIDA::IHistogram1D &a, const AIDA::IHistogram1D &b) override
AIDA::IHistogram1D * | multiply (const std::string &nameAndTitle, const AIDA::IHistogram1D &a, const AIDA::IHistogram1D &b) override
AIDA::IHistogram1D * | divide (const std::string &nameAndTitle, const AIDA::IHistogram1D &a, const AIDA::IHistogram1D &b) override
AIDA::IHistogram2D * | add (const std::string &nameAndTitle, const AIDA::IHistogram2D &a, const AIDA::IHistogram2D &b) override
AIDA::IHistogram2D * | subtract (const std::string &nameAndTitle, const AIDA::IHistogram2D &a, const AIDA::IHistogram2D &b) override
AIDA::IHistogram2D * | multiply (const std::string &nameAndTitle, const AIDA::IHistogram2D &a, const AIDA::IHistogram2D &b) override
AIDA::IHistogram2D * | divide (const std::string &nameAndTitle, const AIDA::IHistogram2D &a, const AIDA::IHistogram2D &b) override
AIDA::IHistogram3D * | add (const std::string &nameAndTitle, const AIDA::IHistogram3D &a, const AIDA::IHistogram3D &b) override
AIDA::IHistogram3D * | subtract (const std::string &nameAndTitle, const AIDA::IHistogram3D &a, const AIDA::IHistogram3D &b) override
AIDA::IHistogram3D * | multiply (const std::string &nameAndTitle, const AIDA::IHistogram3D &a, const AIDA::IHistogram3D &b) override
AIDA::IHistogram3D * | divide (const std::string &nameAndTitle, const AIDA::IHistogram3D &a, const AIDA::IHistogram3D &b) override
AIDA::IHistogram2D * | projectionXY (const std::string &nameAndTitle, const AIDA::IHistogram3D &h) override
AIDA::IHistogram2D * | projectionXZ (const std::string &nameAndTitle, const AIDA::IHistogram3D &h) override
AIDA::IHistogram2D * | projectionYZ (const std::string &nameAndTitle, const AIDA::IHistogram3D &h) override
AIDA::IHistogram2D * | sliceXY (const std::string &, const AIDA::IHistogram3D &, int, int) override
AIDA::IHistogram2D * | sliceXZ (const std::string &, const AIDA::IHistogram3D &, int, int) override
AIDA::IHistogram2D * | sliceYZ (const std::string &, const AIDA::IHistogram3D &, int, int) override
AIDA::IHistogram1D * | createHistogram1D (const std::string &name, const std::string &tit, int nx, double lowx, double upx)
AIDA::IHistogram1D * | createHistogram1D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, const std::string &) override
AIDA::IHistogram1D * | createHistogram1D (const std::string &name, const std::string &title, const Edges &x, const std::string &) override
AIDA::IHistogram1D * | createHistogram1D (const std::string &nameAndTitle, int nx, double lowx, double upx) override
AIDA::IHistogram1D * | createCopy (const std::string &full, const AIDA::IHistogram1D &h) override
AIDA::IHistogram1D * | createCopy (const std::string &par, const std::string &rel, const AIDA::IHistogram1D &h)
AIDA::IHistogram1D * | createCopy (const std::pair< std::string, std::string > &loc, const AIDA::IHistogram1D &h)
AIDA::IHistogram1D * | createCopy (DataObject *pPar, const std::string &rel, const AIDA::IHistogram1D &h)
AIDA::IHistogram2D * | createHistogram2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy)
AIDA::IHistogram2D * | createHistogram2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, const std::string &) override
AIDA::IHistogram2D * | createHistogram2D (const std::string &name, const std::string &title, const Edges &x, const Edges &y, const std::string &) override
AIDA::IHistogram2D * | createHistogram2D (const std::string &nameAndTitle, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IHistogram2D * | createCopy (const std::string &full, const AIDA::IHistogram2D &h) override
AIDA::IHistogram2D * | createCopy (const std::string &par, const std::string &rel, const AIDA::IHistogram2D &h)
AIDA::IHistogram2D * | createCopy (const std::pair< std::string, std::string > &loc, const AIDA::IHistogram2D &h)
AIDA::IHistogram2D * | createCopy (DataObject *pPar, const std::string &rel, const AIDA::IHistogram2D &h)
AIDA::IHistogram3D * | createHistogram3D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz)
AIDA::IHistogram3D * | createHistogram3D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz, const std::string &) override
AIDA::IHistogram3D * | createHistogram3D (const std::string &name, const std::string &title, const Edges &x, const Edges &y, const Edges &z, const std::string &) override
AIDA::IHistogram3D * | createHistogram3D (const std::string &nameAndTitle, int nx, double lowx, double upx, int ny, double lowy, double upy, int nz, double lowz, double upz) override
AIDA::IHistogram3D * | createCopy (const std::string &full, const AIDA::IHistogram3D &h) override
AIDA::IHistogram3D * | createCopy (const std::string &par, const std::string &rel, const AIDA::IHistogram3D &h)
AIDA::IHistogram3D * | createCopy (const std::pair< std::string, std::string > &loc, const AIDA::IHistogram3D &h)
AIDA::IHistogram3D * | createCopy (DataObject *pPar, const std::string &rel, const AIDA::IHistogram3D &h)
AIDA::IProfile1D * | createProfile1D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, const std::string &opt) override
AIDA::IProfile1D * | createProfile1D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, double upper, double lower, const std::string &opt) override
AIDA::IProfile1D * | createProfile1D (const std::string &name, const std::string &title, const Edges &x, const std::string &) override
AIDA::IProfile1D * | createProfile1D (const std::string &name, const std::string &title, const Edges &x, double upper, double lower, const std::string &) override
AIDA::IProfile1D * | createProfile1D (const std::string &nametit, int nx, double lowx, double upx) override
AIDA::IProfile1D * | createProfile1D (const std::string &nametit, int nx, double lowx, double upx, double upper, double lower) override
AIDA::IProfile1D * | createCopy (const std::string &full, const AIDA::IProfile1D &h) override
AIDA::IProfile1D * | createCopy (const std::string &par, const std::string &rel, const AIDA::IProfile1D &h)
AIDA::IProfile1D * | createCopy (const std::pair< std::string, std::string > &loc, const AIDA::IProfile1D &h)
AIDA::IProfile1D * | createCopy (DataObject *pPar, const std::string &rel, const AIDA::IProfile1D &h)
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy)
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, const std::string &) override
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &title, const Edges &x, const Edges &y, const std::string &) override
AIDA::IProfile2D * | createProfile2D (const std::string &nameAndTitle, int nx, double lowx, double upx, int ny, double lowy, double upy) override
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower)
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &tit, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower, const std::string &) override
AIDA::IProfile2D * | createProfile2D (const std::string &name, const std::string &title, const Edges &x, const Edges &y, double upper, double lower, const std::string &) override
AIDA::IProfile2D * | createProfile2D (const std::string &nameAndTitle, int nx, double lowx, double upx, int ny, double lowy, double upy, double upper, double lower) override
AIDA::IProfile2D * | createCopy (const std::string &full, const AIDA::IProfile2D &h) override
AIDA::IProfile2D * | createCopy (const std::string &par, const std::string &rel, const AIDA::IProfile2D &h)
AIDA::IProfile2D * | createCopy (const std::pair< std::string, std::string > &loc, const AIDA::IProfile2D &h)
AIDA::IProfile2D * | createCopy (DataObject *pPar, const std::string &rel, const AIDA::IProfile2D &h)
AIDA::ICloud1D * | createCloud1D (const std::string &, const std::string &, int, const std::string &) override
AIDA::ICloud1D * | createCloud1D (const std::string &) override
AIDA::ICloud1D * | createCopy (const std::string &, const AIDA::ICloud1D &) override
AIDA::ICloud2D * | createCloud2D (const std::string &, const std::string &, int, const std::string &) override
AIDA::ICloud2D * | createCloud2D (const std::string &) override
AIDA::ICloud2D * | createCopy (const std::string &, const AIDA::ICloud2D &) override
AIDA::ICloud3D * | createCloud3D (const std::string &, const std::string &, int, const std::string &) override
AIDA::ICloud3D * | createCloud3D (const std::string &) override
AIDA::ICloud3D * | createCopy (const std::string &, const AIDA::ICloud3D &) override
std::ostream & | print (Base *h, std::ostream &s=std::cout) const override
| Print (ASCII) the 1D histogram into the output stream. More...
std::ostream & | write (Base *h, std::ostream &s=std::cout) const override
| Write (ASCII) the 1D histogram table into the output stream. More...
int | write (Base *h, const char *file_name) const override
| Write (ASCII) the 1D histogram table into a file. More...
DataObject * | createPath (const std::string &newPath) override
| Create all directories in a given full path. More...
DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir) override
| Create a sub-directory in a directory. More...
void | update1Ddefs (Gaudi::Details::PropertyBase &)
| handler to be invoked for updating property m_defs1D More...
Public Member Functions inherited from extends< DataSvc, IHistogramSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from DataSvc
CLID | rootCLID () const override
| IDataManagerSvc: Accessor for root event CLID. More...
const std::string & | rootName () const override
| IDataManagerSvc: Accessor for root event name. More...
StatusCode | registerAddress (const std::string &fullPath, IOpaqueAddress *pAddress) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | registerAddress (DataObject *parentObj, const std::string &objectPath, IOpaqueAddress *pAddress) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | registerAddress (IRegistry *parentObj, const std::string &objectPath, IOpaqueAddress *pAddress) override
| IDataManagerSvc: Register object address with the data store. More...
StatusCode | unregisterAddress (const std::string &fullPath) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | unregisterAddress (DataObject *pParent, const std::string &objPath) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | unregisterAddress (IRegistry *pParent, const std::string &objPath) override
| IDataManagerSvc: Unregister object address from the data store. More...
StatusCode | objectLeaves (const DataObject *pObject, std::vector< IRegistry * > &refLeaves) override
| IDataManagerSvc: Explore the object store: retrieve all leaves attached to the object. More...
StatusCode | objectLeaves (const IRegistry *pRegistry, std::vector< IRegistry * > &refLeaves) override
| IDataManagerSvc: Explore the object store: retrieve all leaves attached to the object. More...
StatusCode | objectParent (const DataObject *pObject, IRegistry *&refpParent) override
| IDataManagerSvc: Explore the object store: retrieve the object's parent. More...
StatusCode | objectParent (const IRegistry *pRegistry, IRegistry *&refpParent) override
| IDataManagerSvc: Explore the object store: retrieve the object's parent. More...
StatusCode | clearSubTree (const std::string &sub_tree_path) override
| IDataManagerSvc: Remove all data objects below the sub tree identified by its full path name. More...
StatusCode | clearSubTree (DataObject *pObject) override
| IDataManagerSvc: Remove all data objects below the sub tree identified by the object. More...
StatusCode | clearStore () override
| IDataManagerSvc: Remove all data objects in the data store. More...
StatusCode | traverseSubTree (const std::string &sub_tree_path, IDataStoreAgent *pAgent) override
| IDataManagerSvc: Analyze by traversing all data objects below the sub tree identified by its full path name. More...
StatusCode | traverseSubTree (DataObject *pObject, IDataStoreAgent *pAgent) override
| IDataManagerSvc: Analyze by traversing all data objects below the sub tree. More...
StatusCode | traverseTree (IDataStoreAgent *pAgent) override
| IDataManagerSvc: Analyze by traversing all data objects in the data store. More...
StatusCode | setRoot (std::string root_name, DataObject *pRootObj) override
| Initialize data store for new event by giving new event path and root object. More...
virtual StatusCode | i_setRoot (std::string root_name, DataObject *pRootObj)
| Initialize data store for new event by giving new event path and root object. More...
StatusCode | setRoot (std::string root_path, IOpaqueAddress *pRootAddr) override
| Initialize data store for new event by giving new event path and address of root object. More...
virtual StatusCode | i_setRoot (std::string root_path, IOpaqueAddress *pRootAddr)
| Initialize data store for new event by giving new event path and address of root object. More...
StatusCode | setDataLoader (IConversionSvc *svc, IDataProviderSvc *dpsvc=nullptr) override
| IDataManagerSvc: IDataManagerSvc: Pass a default data loader to the service and optionally a data provider. More...
StatusCode | addPreLoadItem (const DataStoreItem &item) override
| Add an item to the preload list. More...
StatusCode | addPreLoadItem (const std::string &itemPath) override
| Add an item to the preload list. More...
StatusCode | removePreLoadItem (const DataStoreItem &item) override
| Remove an item from the preload list. More...
StatusCode | removePreLoadItem (const std::string &itemPath) override
| Add an item to the preload list. More...
StatusCode | resetPreLoad () override
| Clear the preload list. More...
virtual StatusCode | preLoad (int depth, int load_depth, DataObject *pObject)
| Execute one level of preloading and recursively load until the final level is reached. More...
StatusCode | preLoad () override
| load all preload items of the list More...
StatusCode | registerObject (const std::string &fullPath, DataObject *pObject) override
| Register object with the data store. More...
StatusCode | registerObject (const std::string &parentPath, const std::string &objPath, DataObject *pObject) override
| Register object with the data store. More...
StatusCode | registerObject (const std::string &parentPath, int item, DataObject *pObject) override
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parentObj, const std::string &objPath, DataObject *pObject) override
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject) override
| Register object with the data store. More...
StatusCode | unregisterObject (const std::string &fullPath) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (const std::string &parentPath, const std::string &objectPath) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (const std::string &parentPath, int item) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObject) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObject, const std::string &objectPath) override
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pObject, int item) override
| Unregister object from the data store. More...
StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (const std::string &fullPath, DataObject *&pObject) override
| Retrieve object identified by its full path from the data store. More...
StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, DataObject *&pObject) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (const std::string &parentPath, int item, DataObject *&pObject) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, DataObject *&pObject) override
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject) override
| Retrieve object from data store. More...
StatusCode | findObject (const std::string &fullPath, DataObject *&pObject) override
| Find object identified by its full path in the data store. More...
StatusCode | findObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject) override
| Find object identified by its full path in the data store. More...
StatusCode | findObject (const std::string &parentPath, const std::string &objPath, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | findObject (const std::string &parentPath, int item, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | findObject (DataObject *parentObj, const std::string &objPath, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject) override
| Find object in the data store. More...
StatusCode | linkObject (IRegistry *from, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (const std::string &fromPath, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (DataObject *from, const std::string &objPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | linkObject (const std::string &fullPath, DataObject *to) override
| Add a link to another object. More...
StatusCode | unlinkObject (IRegistry *from, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (const std::string &fromPath, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (DataObject *fromObj, const std::string &objPath) override
| Remove a link to another object. More...
StatusCode | unlinkObject (const std::string &fullPath) override
| Remove a link to another object. More...
StatusCode | updateObject (IRegistry *pDirectory) override
| Update object identified by its directory entry. More...
StatusCode | updateObject (const std::string &updatePath) override
| Update object. More...
StatusCode | updateObject (DataObject *toUpdate) override
| Update object. More...
StatusCode | updateObject (const std::string &parentPath, const std::string &updatePath) override
| Update object. More...
StatusCode | updateObject (DataObject *pParent, const std::string &updatePath) override
| Update object. More...
StatusCode | initialize () override
| Service initialization. More...
StatusCode | reinitialize () override
| Service initialization. More...
StatusCode | finalize () override
| Service initialization. More...
| ~DataSvc () override
| Standard Destructor. More...
Public Member Functions inherited from extends< Service, IDataProviderSvc, IDataManagerSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Protected Types
typedef AIDA::IHistogram3D | H3D
typedef AIDA::IProfile2D | P2D
typedef AIDA::IBaseHistogram | Base

## Private Member Functions
void | not_implemented () const

## Private Attributes
Gaudi::Property< DBaseEntries > | m_input {this, "Input", {}, "input streams"}
Gaudi::Property< Histo1DMap > | m_defs1D {this, "Predefined1DHistos", {}, "histograms with predefined parameters"}
std::set< std::string > | m_mods1D

## Additional Inherited Members
Protected Member Functions inherited from DataSvc
bool | checkRoot ()
| Check if root path is valid. More...
virtual IConversionSvc * | getDataLoader (IRegistry *pReg)
| Retrieve customizable data loader according to registry entry to be retrieved. More...
virtual DataObject * | createDefaultObject () const
| Create default objects in case forced creation of leaves is requested. More...
virtual StatusCode | loadObject (IRegistry *pNode)
| Invoke Persistency service to create transient object from its persistent representation. More...
virtual StatusCode | loadObject (IConversionSvc *pLoader, IRegistry *pNode)
| Invoke Persistency service to create transient object from its persistent representation. More...
StatusCode | retrieveEntry (DataSvcHelpers::RegistryEntry *pNode, const std::string &path, DataSvcHelpers::RegistryEntry *&pEntry)
| Retrieve registry entry from store. More...
DataObject * | handleDataFault (IRegistry *pReg, const std::string &path="")
| Invoke data fault handling if enabled. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from DataSvc
SmartIF< IConversionSvc > | m_dataLoader = nullptr
| Pointer to data loader service. More...
SmartIF< IIncidentSvc > | m_incidentSvc = nullptr
| Pointer to incident service. More...
Gaudi::Property< CLID > | m_rootCLID {this, "RootCLID", 110 , "CLID of root entry"}
Gaudi::Property< std::string > | m_rootName {this, "RootName", "/Event", "name of root entry"}
Gaudi::Property< bool > | m_forceLeaves {this, "ForceLeaves", false, "force creation of default leaves on registerObject"}
Gaudi::Property< std::vector< std::string > > | m_inhibitPathes {this, "InhibitPathes", {}, "inhibited leaves"}
Gaudi::Property< bool > | m_enableFaultHdlr
Gaudi::Property< std::string > | m_faultName {this, "DataFaultName", "DataFault", "Name of the data fault incident"}
Gaudi::Property< bool > | m_enableAccessHdlr
Gaudi::Property< std::string > | m_accessName {this, "DataAccessName", "DataAccess", "Name of the data access incident"}
LoadItems | m_preLoads
| Items to be pre-loaded. More...
DataSvcHelpers::RegistryEntry * | m_root = nullptr
| Pointer to root entry. More...
DataSvcHelpers::InhibitMap * | m_inhibitMap = nullptr
| Map with object paths to be inhibited from loading. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

HistogramSvc class definition.

Definition at line 55 of file HistogramSvc.h.

## Member Typedef Documentation

typedef AIDA::IBaseHistogram HistogramSvc::Base
| protected

Definition at line 69 of file HistogramSvc.h.

using HistogramSvc::DBaseEntries = std::vector<std::string>

Definition at line 155 of file HistogramSvc.h.

using HistogramSvc::Edges = std::vector<double>

Definition at line 154 of file HistogramSvc.h.

typedef AIDA::IHistogram3D HistogramSvc::H3D
| protected

Definition at line 67 of file HistogramSvc.h.

typedef std::map<std::string, Gaudi::Histo1DDef> HistogramSvc::Histo1DMap

Definition at line 1366 of file HistogramSvc.h.

typedef AIDA::IProfile2D HistogramSvc::P2D
| protected

Definition at line 68 of file HistogramSvc.h.

## Constructor & Destructor Documentation

HistogramSvc::HistogramSvc | ( | const std::string & | name,
|  | ISvcLocator * | svc
| ) |  |

Statndard Constructor.

Parameters

  name | service name
  pointer | to service locator interface

Definition at line 383 of file HistogramSvc.cpp.

384 : base_class( nam, svc )
385 {
386 // Properties can be declared here
387 m_rootName = "/stat";
388 m_rootCLID = CLID_DataObject;
389 m_defs1D.declareUpdateHandler( &HistogramSvc::update1Ddefs, this );
390 }
DataSvc::m_rootCLID
Gaudi::Property< CLID > m_rootCLID
Definition: DataSvc.h:56
HistogramSvc::m_defs1D
Gaudi::Property< Histo1DMap > m_defs1D
Definition: HistogramSvc.h:1371
DataSvc::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: DataSvc.h:57
extends< DataSvc, IHistogramSvc >::base_class
extends base_class
Typedef to this class.
Definition: extends.h:14
HistogramSvc::update1Ddefs
void update1Ddefs(Gaudi::Details::PropertyBase &)
handler to be invoked for updating property m_defs1D
Definition: HistogramSvc.cpp:393

HistogramSvc::~HistogramSvc | ( |  | ) |
| override

Destructor.

Definition at line 212 of file HistogramSvc.cpp.

213 {
214 setDataLoader( nullptr ).ignore();
215 clearStore().ignore();
216 }
DataSvc::setDataLoader
StatusCode setDataLoader(IConversionSvc *svc, IDataProviderSvc *dpsvc=nullptr) override
IDataManagerSvc: IDataManagerSvc: Pass a default data loader to the service and optionally a data pro...
Definition: DataSvc.cpp:202
StatusCode::ignore
void ignore() const
Definition: StatusCode.h:106
DataSvc::clearStore
StatusCode clearStore() override
IDataManagerSvc: Remove all data objects in the data store.
Definition: DataSvc.cpp:114

## Member Function Documentation

AIDA::IHistogram1D * HistogramSvc::add | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram1D & | a,
|  | const AIDA::IHistogram1D & | b
| ) |  |
| override

Definition at line 1703 of file HistogramSvc.cpp.

1706 {
1707 return Helper::act( createCopy( nameAndTitle, a ), b, &TH1::Add, 1. );
1708 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::add | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram2D & | a,
|  | const AIDA::IHistogram2D & | b
| ) |  |
| override

Definition at line 1735 of file HistogramSvc.cpp.

1738 {
1739 return Helper::act( createCopy( nameAndTitle, a ), b, &TH2D::Add, 1. );
1740 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::add | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | a,
|  | const AIDA::IHistogram3D & | b
| ) |  |
| override

Definition at line 1767 of file HistogramSvc.cpp.

1770 {
1771 return Helper::act( createCopy( nameAndTitle, a ), b, &TH3D::Add, 1. );
1772 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram1D* HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the fullpath) has to be an integer number otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  nx | Number of bins on the axis X/Y
  lx | Lower histogram edge on the axis X/Y
  ux | Upper histogram edge on the axis X/Y

AIDA::IHistogram1D* HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

AIDA::IHistogram1D* HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

AIDA::IHistogram1D* HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

virtual AIDA::IHistogram1D* HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| virtual

AIDA::IHistogram1D* HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

AIDA::IHistogram1D * HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the fullpath) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  e | Bin edges for variable binned histogram.

Definition at line 554 of file HistogramSvc.cpp.

556 {
557 return book( par, std::to_string( hID ), title, e );
558 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram1D * HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 561 of file HistogramSvc.cpp.

563 {
564 return book( pPar, std::to_string( hID ), title, e );
565 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram1D * HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 568 of file HistogramSvc.cpp.

570 {
571 return book( createPath( par ), rel, title, e );
572 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IHistogram1D * HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| virtual

Definition at line 575 of file HistogramSvc.cpp.

577 {
578 return book( loc.first, loc.second, title, e );
579 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram1D * HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 582 of file HistogramSvc.cpp.

584 {
585 return book( i_splitPath( full ), title, e );
586 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IHistogram1D * HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 589 of file HistogramSvc.cpp.

591 {
592 return i_book( pPar, rel, title, Gaudi::createH1D( title, e ) );
593 }
Gaudi::createH1D
std::pair< DataObject *, AIDA::IHistogram1D * > createH1D(const AIDA::IHistogram1D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  nx | Number of bins on the X-axis
  lx | Lower histogram edge on the X-axis
  ux | Upper histogram edge on the X-axis
  ny | Number of bins on the Y-axis
  ly | Lower histogram edge on the Y-axis
  uy | Upper histogram edge on the Y-axis

Definition at line 686 of file HistogramSvc.cpp.

689 {
690 return book( i_splitPath( full ), title, nx, lowx, upx, ny, lowy, upy );
691 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 694 of file HistogramSvc.cpp.

698 {
699 return book( createPath( par ), rel, title, nx, lowx, upx, ny, lowy, upy );
700 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 703 of file HistogramSvc.cpp.

707 {
708 return book( par, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy );
709 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| virtual

Definition at line 712 of file HistogramSvc.cpp.

716 {
717 return book( loc.first, loc.second, title, nx, lowx, upx, ny, lowy, upy );
718 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 721 of file HistogramSvc.cpp.

725 {
726 return book( pPar, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy );
727 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram2D * HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 730 of file HistogramSvc.cpp.

734 {
735 return i_book( pPar, rel, title, Gaudi::createH2D( title, nx, lowx, upx, ny, lowy, upy ) );
736 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createH2D
std::pair< DataObject *, AIDA::IHistogram2D * > createH2D(const AIDA::IHistogram2D &hist)
Copy constructor.

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  x/y | Bin edges for variable binned histogram in X/Y.

Definition at line 853 of file HistogramSvc.cpp.

856 {
857 return book( i_splitPath( full ), title, x, y );
858 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 861 of file HistogramSvc.cpp.

864 {
865 return book( createPath( par ), rel, title, x, y );
866 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 869 of file HistogramSvc.cpp.

872 {
873 return book( par, std::to_string( hID ), title, x, y );
874 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram2D * HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| virtual

Definition at line 877 of file HistogramSvc.cpp.

880 {
881 return book( loc.first, loc.second, title, x, y );
882 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 885 of file HistogramSvc.cpp.

888 {
889 return book( pPar, std::to_string( hID ), title, x, y );
890 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram2D * HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 893 of file HistogramSvc.cpp.

896 {
897 return i_book( pPar, rel, title, Gaudi::createH2D( title, x, y ) );
898 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createH2D
std::pair< DataObject *, AIDA::IHistogram2D * > createH2D(const AIDA::IHistogram2D &hist)
Copy constructor.

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  n{x,y,z} | Number of bins on the axis X/Y/Z
  l{x,y,z} | Lower histogram edge on the axis X/Y/Z
  u{x,y,z} | Upper histogram edge on the axis X/Y/Z

Definition at line 997 of file HistogramSvc.cpp.

1002 {
1003 return book( i_splitPath( full ), title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1004 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Definition at line 1007 of file HistogramSvc.cpp.

1012 {
1013 return book( createPath( par ), rel, title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1014 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Definition at line 1017 of file HistogramSvc.cpp.

1022 {
1023 return book( par, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1024 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram3D * HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Definition at line 1027 of file HistogramSvc.cpp.

1032 {
1033 return book( pPar, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1034 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| virtual

Definition at line 1037 of file HistogramSvc.cpp.

1042 {
1043 return book( loc.first, loc.second, title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1044 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Definition at line 1047 of file HistogramSvc.cpp.

1052 {
1053 return i_book( pPar, rel, title, Gaudi::createH3D( title, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz ) );
1054 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createH3D
std::pair< DataObject *, AIDA::IHistogram3D * > createH3D(const AIDA::IHistogram3D &hist)
Copy constructor.

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  binsX/Y/Z | Number of bins on the axis X/Y/Z
  lowX/Y/Z | Lower histogram edge on the axis X/Y/Z
  highX/Y/Z | Upper histogram edge on the axis X/Y/Z

Definition at line 1057 of file HistogramSvc.cpp.

1060 {
1061 return book( i_splitPath( full ), title, x, y, z );
1062 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| override

Definition at line 1065 of file HistogramSvc.cpp.

1068 {
1069 return book( createPath( par ), rel, title, x, y, z );
1070 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| override

Definition at line 1073 of file HistogramSvc.cpp.

1076 {
1077 return book( par, std::to_string( hID ), title, x, y, z );
1078 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram3D * HistogramSvc::book | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| override

Definition at line 1081 of file HistogramSvc.cpp.

1084 {
1085 return book( pPar, std::to_string( hID ), title, x, y, z );
1086 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.
std::to_string
T to_string(T...args)

AIDA::IHistogram3D * HistogramSvc::book | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| virtual

Definition at line 1089 of file HistogramSvc.cpp.

1092 {
1093 return book( loc.first, loc.second, title, x, y, z );
1094 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | Edges | z
| ) |  |
| override

Definition at line 1097 of file HistogramSvc.cpp.

1100 {
1101 return i_book( pPar, rel, title, Gaudi::createH3D( title, x, y, z ) );
1102 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createH3D
std::pair< DataObject *, AIDA::IHistogram3D * > createH3D(const AIDA::IHistogram3D &hist)
Copy constructor.

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the fullpath) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  nx | Number of bins on the axis X/Y
  lx | Lower histogram edge on the axis X/Y
  ux | Upper histogram edge on the axis X/Y

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

virtual AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| virtual

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

virtual AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| virtual

AIDA::IProfile1D* HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D* HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  e | Bin edges for variable binned histogram.

Definition at line 596 of file HistogramSvc.cpp.

598 {
599 return bookProf( i_splitPath( full ), title, e );
600 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 603 of file HistogramSvc.cpp.

605 {
606 return bookProf( createPath( par ), rel, title, e );
607 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 610 of file HistogramSvc.cpp.

612 {
613 return bookProf( par, std::to_string( hID ), title, e );
614 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 617 of file HistogramSvc.cpp.

619 {
620 return bookProf( pPar, std::to_string( hID ), title, e );
621 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| virtual

Definition at line 624 of file HistogramSvc.cpp.

626 {
627 return bookProf( loc.first, loc.second, title, e );
628 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e
| ) |  |
| override

Definition at line 631 of file HistogramSvc.cpp.

633 {
634 return i_book( pPar, rel, title, Gaudi::createProf1D( title, e, 0, 0 ) );
635 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createProf1D
std::pair< DataObject *, AIDA::IProfile1D * > createProf1D(const AIDA::IProfile1D &hist)
Copy constructor.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 638 of file HistogramSvc.cpp.

641 {
642 return bookProf( i_splitPath( full ), title, e, upper, lower );
643 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 646 of file HistogramSvc.cpp.

649 {
650 return bookProf( createPath( par ), rel, title, e, upper, lower );
651 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 654 of file HistogramSvc.cpp.

657 {
658 return bookProf( par, std::to_string( hID ), title, e, upper, lower );
659 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 662 of file HistogramSvc.cpp.

665 {
666 return bookProf( pPar, std::to_string( hID ), title, e, upper, lower );
667 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 670 of file HistogramSvc.cpp.

673 {
674 return bookProf( loc.first, loc.second, title, e, upper, lower );
675 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | e,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 678 of file HistogramSvc.cpp.

681 {
682 return i_book( pPar, rel, title, Gaudi::createProf1D( title, e, upper, lower ) );
683 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
Gaudi::createProf1D
std::pair< DataObject *, AIDA::IProfile1D * > createProf1D(const AIDA::IProfile1D &hist)
Copy constructor.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  nx | Number of bins on the X-axis
  lx | Lower histogram edge on the X-axis
  ux | Upper histogram edge on the X-axis
  ny | Number of bins on the Y-axis
  ly | Lower histogram edge on the Y-axis
  uy | Upper histogram edge on the Y-axis

Definition at line 739 of file HistogramSvc.cpp.

744 {
745 return bookProf( i_splitPath( full ), title, nx, lowx, upx, ny, lowy, upy, upper, lower );
746 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 749 of file HistogramSvc.cpp.

754 {
755 return bookProf( createPath( par ), rel, title, nx, lowx, upx, ny, lowy, upy, upper, lower );
756 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 759 of file HistogramSvc.cpp.

764 {
765 return bookProf( loc.first, loc.second, title, nx, lowx, upx, ny, lowy, upy, upper, lower );
766 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 769 of file HistogramSvc.cpp.

774 {
775 return bookProf( par, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy, upper, lower );
776 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 779 of file HistogramSvc.cpp.

784 {
785 return bookProf( pPar, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy, upper, lower );
786 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 789 of file HistogramSvc.cpp.

794 {
795 return i_book( pPar, rel, title, Gaudi::createProf2D( title, nx, lowx, upx, ny, lowy, upy, upper, lower ) );
796 }
Gaudi::createProf2D
std::pair< DataObject *, AIDA::IProfile2D * > createProf2D(const AIDA::IProfile2D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 799 of file HistogramSvc.cpp.

803 {
804 return bookProf( i_splitPath( full ), title, nx, lowx, upx, ny, lowy, upy );
805 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 808 of file HistogramSvc.cpp.

812 {
813 return bookProf( createPath( par ), rel, title, nx, lowx, upx, ny, lowy, upy );
814 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| virtual

Definition at line 817 of file HistogramSvc.cpp.

821 {
822 return bookProf( loc.first, loc.second, title, nx, lowx, upx, ny, lowy, upy );
823 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 826 of file HistogramSvc.cpp.

830 {
831 return bookProf( par, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy );
832 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 835 of file HistogramSvc.cpp.

839 {
840 return bookProf( pPar, std::to_string( hID ), title, nx, lowx, upx, ny, lowy, upy );
841 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 844 of file HistogramSvc.cpp.

848 {
849 return i_book( pPar, rel, title, Gaudi::createProf2D( title, nx, lowx, upx, ny, lowy, upy, 0, 0 ) );
850 }
Gaudi::createProf2D
std::pair< DataObject *, AIDA::IProfile2D * > createProf2D(const AIDA::IProfile2D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Book histogram and register it with the histogram data store.

Parameters

  full | Full path to the node of the object. The basename (last part of the full) has to be an integer number (otherwise conversion to HBOOK is not possible)
  par | Path to parent node of the object, the directory the histogram will be stored in.
  pPar | Pointer to parent node
  rel | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  x/y | Bin edges for variable binned histogram in X/Y.

Definition at line 901 of file HistogramSvc.cpp.

904 {
905 return bookProf( i_splitPath( full ), title, x, y );
906 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 909 of file HistogramSvc.cpp.

912 {
913 return bookProf( createPath( par ), rel, title, x, y );
914 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 917 of file HistogramSvc.cpp.

920 {
921 return bookProf( par, std::to_string( hID ), title, x, y );
922 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 925 of file HistogramSvc.cpp.

928 {
929 return bookProf( pPar, std::to_string( hID ), title, x, y );
930 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| virtual

Definition at line 933 of file HistogramSvc.cpp.

936 {
937 return bookProf( loc.first, loc.second, title, x, y );
938 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y
| ) |  |
| override

Definition at line 941 of file HistogramSvc.cpp.

944 {
945 return i_book( pPar, rel, title, Gaudi::createProf2D( title, x, y, 0, 0 ) );
946 }
Gaudi::createProf2D
std::pair< DataObject *, AIDA::IProfile2D * > createProf2D(const AIDA::IProfile2D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | full,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 949 of file HistogramSvc.cpp.

952 {
953 return bookProf( i_splitPath( full ), title, x, y, upper, lower );
954 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 957 of file HistogramSvc.cpp.

960 {
961 return bookProf( createPath( par ), rel, title, x, y, upper, lower );
962 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::string & | par,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 965 of file HistogramSvc.cpp.

968 {
969 return bookProf( par, std::to_string( hID ), title, x, y, upper, lower );
970 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | int | hID,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 973 of file HistogramSvc.cpp.

976 {
977 return bookProf( pPar, std::to_string( hID ), title, x, y, upper, lower );
978 }
std::to_string
T to_string(T...args)
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | const std::pair< std::string, std::string > & | loc,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 981 of file HistogramSvc.cpp.

984 {
985 return bookProf( loc.first, loc.second, title, x, y, upper, lower );
986 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::bookProf | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | Edges | x,
|  | Edges | y,
|  | double | upper,
|  | double | lower
| ) |  |
| virtual

Definition at line 989 of file HistogramSvc.cpp.

992 {
993 return i_book( pPar, rel, title, Gaudi::createProf2D( title, x, y, upper, lower ) );
994 }
Gaudi::createProf2D
std::pair< DataObject *, AIDA::IProfile2D * > createProf2D(const AIDA::IProfile2D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179

StatusCode HistogramSvc::connectInput | ( | const std::string & | ident | ) |

Connect input histogram file to the service.

Parameters

  ident | [IN] Input specification

Definition at line 219 of file HistogramSvc.cpp.

220 {
221 using Parser = Gaudi::Utils::AttribStringParser;
222 DataObject* pO = nullptr;
223 StatusCode status = this->findObject( m_rootName, pO );
224 if ( status.isSuccess() ) {
225 string::size_type loc = ident.find( " " );
226 string filename, auth, svc = "", typ = "";
227 string logname = ident.substr( 0, loc );
228 for ( auto attrib : Parser( ident.substr( loc + 1 ) ) ) {
229 switch (::toupper( attrib.tag[0] ) ) {
230 case 'F': // FILE='<file name>'
231 case 'D': // DATAFILE='<file name>'
232 filename = std::move( attrib.value );
233 break;
234 case 'T': // TYP='<HBOOK,ROOT,OBJY,...>'
235 typ = std::move( attrib.value );
236 break;
237 default:
238 break;
239 }
240 }
241 if ( typ.length() > 0 ) {
242 // Now add the registry entry to the store
243 string entryname = m_rootName;
244 entryname += '/';
245 entryname += logname;
246 GenericAddress* pA = nullptr;
247 switch (::toupper( typ[0] ) ) {
248 case 'H':
249 pA = new GenericAddress( HBOOK_StorageType, CLID_StatisticsFile, filename, entryname, 0, 'O' );
250 break;
251 case 'R':
252 pA = new GenericAddress( ROOT_StorageType, CLID_StatisticsFile, filename, entryname, 0, 'O' );
253 break;
254 }
255 if ( pA ) {
256 status = registerAddress( pO, logname, pA );
257 if ( status.isSuccess() ) {
258 info() << "Added stream file:" << filename << " as " << logname << endmsg;
259 return status;
260 }
261 pA->release();
262 }
263 }
264 }
265 error() << "Cannot add " << ident << " invalid filename!" << endmsg;
266 return StatusCode::FAILURE;
267 }
Gaudi::Utils::AttribStringParser
Parse attribute strings allowing iteration over the various attributes.
Definition: AttribStringParser.h:30
HBOOK_StorageType
const long HBOOK_StorageType
Definition: ClassID.h:56
StatusCode::FAILURE
Definition: StatusCode.h:29
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
GenericAddress::release
unsigned long release() override
release reference to object
Definition: GenericAddress.h:74
DataSvc::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: DataSvc.h:57
graphanalysis.filename
string filename
Definition: graphanalysis.py:109
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
DataSvc::registerAddress
StatusCode registerAddress(const std::string &fullPath, IOpaqueAddress *pAddress) override
IDataManagerSvc: Register object address with the data store.
Definition: DataSvc.cpp:244
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
ROOT_StorageType
const long ROOT_StorageType
Definition: ClassID.h:52
std::move
T move(T...args)
HistogramSvc::findObject
StatusCode findObject(IRegistry *pReg, const std::string &path, AIDA::IProfile1D *&obj) override
Definition: HistogramSvc.cpp:1436
std::string::find
T find(T...args)
std::string::substr
T substr(T...args)
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
toupper
void toupper(std::string &s)
Definition: StatusCodeSvc.cpp:10
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

AIDA::ICloud1D* HistogramSvc::createCloud1D | ( | const std::string & | ,
|  | const std::string & | ,
|  | int | ,
|  | const std::string & |
| ) |  |
| inline override

Definition at line 1283 of file HistogramSvc.h.

1285 {
1286 not_implemented();
1287 return nullptr;
1288 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud1D* HistogramSvc::createCloud1D | ( | const std::string & |  | ) |
| inline override

Definition at line 1290 of file HistogramSvc.h.

1291 {
1292 not_implemented();
1293 return nullptr;
1294 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud2D* HistogramSvc::createCloud2D | ( | const std::string & | ,
|  | const std::string & | ,
|  | int | ,
|  | const std::string & |
| ) |  |
| inline override

Definition at line 1302 of file HistogramSvc.h.

1304 {
1305 not_implemented();
1306 return nullptr;
1307 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud2D* HistogramSvc::createCloud2D | ( | const std::string & |  | ) |
| inline override

Definition at line 1309 of file HistogramSvc.h.

1310 {
1311 not_implemented();
1312 return nullptr;
1313 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud3D* HistogramSvc::createCloud3D | ( | const std::string & | ,
|  | const std::string & | ,
|  | int | ,
|  | const std::string & |
| ) |  |
| inline override

Definition at line 1321 of file HistogramSvc.h.

1322 {
1323 not_implemented();
1324 return nullptr;
1325 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud3D* HistogramSvc::createCloud3D | ( | const std::string & |  | ) |
| inline override

Definition at line 1327 of file HistogramSvc.h.

1328 {
1329 not_implemented();
1330 return nullptr;
1331 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::IHistogram1D * HistogramSvc::createCopy | ( | const std::string & | full,
|  | const AIDA::IHistogram1D & | h
| ) |  |
| override

Definition at line 1853 of file HistogramSvc.cpp.

1855 {
1856 return createCopy( i_splitPath( full ), h );
1857 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram1D * HistogramSvc::createCopy | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const AIDA::IHistogram1D & | h
| ) |  |

Definition at line 1860 of file HistogramSvc.cpp.

1863 {
1864 return createCopy( createPath( par ), rel, h );
1865 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram1D * HistogramSvc::createCopy | ( | const std::pair< std::string, std::string > & | loc,
|  | const AIDA::IHistogram1D & | h
| ) |  |

Definition at line 1868 of file HistogramSvc.cpp.

1870 {
1871 return createCopy( loc.first, loc.second, h );
1872 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram1D * HistogramSvc::createCopy | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const AIDA::IHistogram1D & | h
| ) |  |

Definition at line 1875 of file HistogramSvc.cpp.

1877 {
1878 return i_book( pPar, rel, h.title(), Gaudi::createH1D( h ) );
1879 }
Gaudi::createH1D
std::pair< DataObject *, AIDA::IHistogram1D * > createH1D(const AIDA::IHistogram1D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::IHistogram2D * HistogramSvc::createCopy | ( | const std::string & | full,
|  | const AIDA::IHistogram2D & | h
| ) |  |
| override

Definition at line 1915 of file HistogramSvc.cpp.

1917 {
1918 return createCopy( i_splitPath( full ), h );
1919 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::createCopy | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const AIDA::IHistogram2D & | h
| ) |  |

Definition at line 1922 of file HistogramSvc.cpp.

1924 {
1925 return createCopy( createPath( par ), rel, h );
1926 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::createCopy | ( | const std::pair< std::string, std::string > & | loc,
|  | const AIDA::IHistogram2D & | h
| ) |  |

Definition at line 1929 of file HistogramSvc.cpp.

1931 {
1932 return createCopy( loc.first, loc.second, h );
1933 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::createCopy | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const AIDA::IHistogram2D & | h
| ) |  |

Definition at line 1936 of file HistogramSvc.cpp.

1938 {
1939 return i_book( pPar, rel, h.title(), Gaudi::createH2D( h ) );
1940 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
Gaudi::createH2D
std::pair< DataObject *, AIDA::IHistogram2D * > createH2D(const AIDA::IHistogram2D &hist)
Copy constructor.

AIDA::IHistogram3D * HistogramSvc::createCopy | ( | const std::string & | full,
|  | const AIDA::IHistogram3D & | h
| ) |  |
| override

Definition at line 1979 of file HistogramSvc.cpp.

1981 {
1982 return createCopy( i_splitPath( full ), h );
1983 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::createCopy | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const AIDA::IHistogram3D & | h
| ) |  |

Definition at line 1986 of file HistogramSvc.cpp.

1988 {
1989 return createCopy( createPath( par ), rel, h );
1990 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::createCopy | ( | const std::pair< std::string, std::string > & | loc,
|  | const AIDA::IHistogram3D & | h
| ) |  |

Definition at line 1993 of file HistogramSvc.cpp.

1995 {
1996 return createCopy( loc.first, loc.second, h );
1997 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::createCopy | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const AIDA::IHistogram3D & | h
| ) |  |

Definition at line 2000 of file HistogramSvc.cpp.

2002 {
2003 return i_book( pPar, rel, h.title(), Gaudi::createH3D( h ) );
2004 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
Gaudi::createH3D
std::pair< DataObject *, AIDA::IHistogram3D * > createH3D(const AIDA::IHistogram3D &hist)
Copy constructor.

AIDA::IProfile1D * HistogramSvc::createCopy | ( | const std::string & | full,
|  | const AIDA::IProfile1D & | h
| ) |  |
| override

Definition at line 2057 of file HistogramSvc.cpp.

2059 {
2060 return createCopy( i_splitPath( full ), h );
2061 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile1D * HistogramSvc::createCopy | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const AIDA::IProfile1D & | h
| ) |  |

Definition at line 2064 of file HistogramSvc.cpp.

2066 {
2067 return createCopy( createPath( par ), rel, h );
2068 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile1D * HistogramSvc::createCopy | ( | const std::pair< std::string, std::string > & | loc,
|  | const AIDA::IProfile1D & | h
| ) |  |

Definition at line 2071 of file HistogramSvc.cpp.

2073 {
2074 return createCopy( loc.first, loc.second, h );
2075 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile1D * HistogramSvc::createCopy | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const AIDA::IProfile1D & | h
| ) |  |

Definition at line 2078 of file HistogramSvc.cpp.

2080 {
2081 return i_book( pPar, rel, h.title(), Gaudi::createProf1D( h ) );
2082 }
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
Gaudi::createProf1D
std::pair< DataObject *, AIDA::IProfile1D * > createProf1D(const AIDA::IProfile1D &hist)
Copy constructor.

AIDA::IProfile2D * HistogramSvc::createCopy | ( | const std::string & | full,
|  | const AIDA::IProfile2D & | h
| ) |  |
| override

Definition at line 2159 of file HistogramSvc.cpp.

2161 {
2162 return createCopy( i_splitPath( full ), h );
2163 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_splitPath
std::pair< std::string, std::string > i_splitPath(const std::string &full)
Split full path into its components.
Definition: HistogramSvc.cpp:145
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile2D * HistogramSvc::createCopy | ( | const std::string & | par,
|  | const std::string & | rel,
|  | const AIDA::IProfile2D & | h
| ) |  |

Definition at line 2166 of file HistogramSvc.cpp.

2169 {
2170 return createCopy( createPath( par ), rel, h );
2171 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile2D * HistogramSvc::createCopy | ( | const std::pair< std::string, std::string > & | loc,
|  | const AIDA::IProfile2D & | h
| ) |  |

Definition at line 2174 of file HistogramSvc.cpp.

2177 {
2178 return createCopy( loc.first, loc.second, h );
2179 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IProfile2D * HistogramSvc::createCopy | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const AIDA::IProfile2D & | h
| ) |  |

Definition at line 2182 of file HistogramSvc.cpp.

2185 {
2186 return i_book( pPar, rel, h.title(), Gaudi::createProf2D( h ) );
2187 }
Gaudi::createProf2D
std::pair< DataObject *, AIDA::IProfile2D * > createProf2D(const AIDA::IProfile2D &hist)
Copy constructor.
HistogramSvc::i_book
T * i_book(DataObject *pPar, const std::string &rel, const std::string &title, const std::pair< DataObject *, T * > &o)
Definition: HistogramSvc.h:179
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::ICloud1D* HistogramSvc::createCopy | ( | const std::string & | ,
|  | const AIDA::ICloud1D & |
| ) |  |
| inline override

Definition at line 1296 of file HistogramSvc.h.

1297 {
1298 not_implemented();
1299 return nullptr;
1300 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud2D* HistogramSvc::createCopy | ( | const std::string & | ,
|  | const AIDA::ICloud2D & |
| ) |  |
| inline override

Definition at line 1315 of file HistogramSvc.h.

1316 {
1317 not_implemented();
1318 return nullptr;
1319 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::ICloud3D* HistogramSvc::createCopy | ( | const std::string & | ,
|  | const AIDA::ICloud3D & |
| ) |  |
| inline override

Definition at line 1333 of file HistogramSvc.h.

1334 {
1335 not_implemented();
1336 return nullptr;
1337 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

DataObject * HistogramSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir
| ) |  |
| override

Create a sub-directory in a directory.

Parameters

  parentDir | name of the parent directory
  subDir | to identify the histogram object in the store

Definition at line 191 of file HistogramSvc.cpp.

192 {
193 std::unique_ptr<DataObject> directory{new DataObject()};
194 if ( directory ) {
195 DataObject* pnode;
196 StatusCode status = DataSvc::retrieveObject( parentDir, pnode );
197 if ( status.isSuccess() ) {
198 status = DataSvc::registerObject( pnode, subDir, directory.get() );
199 if ( !status.isSuccess() ) {
200 error() << "Unable to create the histogram directory: " << parentDir << "/" << subDir << endmsg;
201 return nullptr;
202 }
203 } else {
204 error() << "Unable to create the histogram directory: " << parentDir << "/" << subDir << endmsg;
205 return nullptr;
206 }
207 }
208 return directory.release();
209 }
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
DataSvc::registerObject
StatusCode registerObject(const std::string &fullPath, DataObject *pObject) override
Register object with the data store.
Definition: DataSvc.cpp:356
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
DataSvc::retrieveObject
StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, DataObject *&pObject) override
Retrieve object from data store.
Definition: DataSvc.cpp:763
GaudiPython.Bindings.DataObject
DataObject
Definition: Bindings.py:51
std::unique_ptr
STL class.
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

AIDA::IHistogram1D * HistogramSvc::createHistogram1D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |

Definition at line 1820 of file HistogramSvc.cpp.

1823 {
1824 return book( name, tit, nx, lowx, upx );
1825 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram1D * HistogramSvc::createHistogram1D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & |
| ) |  |
| override

Definition at line 1828 of file HistogramSvc.cpp.

1832 {
1833 return book( name, tit, nx, lowx, upx );
1834 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram1D * HistogramSvc::createHistogram1D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const std::string & |
| ) |  |
| override

Definition at line 1837 of file HistogramSvc.cpp.

1841 {
1842 return book( name, title, x );
1843 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram1D * HistogramSvc::createHistogram1D | ( | const std::string & | nameAndTitle,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

Definition at line 1846 of file HistogramSvc.cpp.

1848 {
1849 return book( nameAndTitle, nameAndTitle, nx, lowx, upx );
1850 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::createHistogram2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |

Definition at line 1882 of file HistogramSvc.cpp.

1885 {
1886 return book( name, tit, nx, lowx, upx, ny, lowy, upy );
1887 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::createHistogram2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | const std::string & |
| ) |  |
| override

Definition at line 1890 of file HistogramSvc.cpp.

1894 {
1895 return book( name, tit, nx, lowx, upx, ny, lowy, upy );
1896 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::createHistogram2D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const Edges & | y,
|  | const std::string & |
| ) |  |
| override

Definition at line 1899 of file HistogramSvc.cpp.

1902 {
1903 return book( name, title, x, y );
1904 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram2D * HistogramSvc::createHistogram2D | ( | const std::string & | nameAndTitle,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 1907 of file HistogramSvc.cpp.

1910 {
1911 return book( nameAndTitle, nameAndTitle, nx, lowx, upx, ny, lowy, upy );
1912 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::createHistogram3D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |

Definition at line 1943 of file HistogramSvc.cpp.

1947 {
1948 return book( name, tit, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1949 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::createHistogram3D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz,
|  | const std::string & |
| ) |  |
| override

Definition at line 1952 of file HistogramSvc.cpp.

1957 {
1958 return book( name, tit, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1959 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::createHistogram3D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const Edges & | y,
|  | const Edges & | z,
|  | const std::string & |
| ) |  |
| override

Definition at line 1962 of file HistogramSvc.cpp.

1965 {
1966 return book( name, title, x, y, z );
1967 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

AIDA::IHistogram3D * HistogramSvc::createHistogram3D | ( | const std::string & | nameAndTitle,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | int | nz,
|  | double | lowz,
|  | double | upz
| ) |  |
| override

Definition at line 1970 of file HistogramSvc.cpp.

1974 {
1975 return book( nameAndTitle, nameAndTitle, nx, lowx, upx, ny, lowy, upy, nz, lowz, upz );
1976 }
HistogramSvc::book
AIDA::IHistogram1D * book(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx) override
Book histogram and register it with the histogram data store.

DataObject * HistogramSvc::createPath | ( | const std::string & | newPath | ) |
| override

Create all directories in a given full path.

Definition at line 161 of file HistogramSvc.cpp.

162 {
163 string tmpPath = newPath;
164 if ( tmpPath[0] != SEPARATOR ) {
165 tmpPath.insert( tmpPath.begin(), SEPARATOR );
166 tmpPath.insert( tmpPath.begin(), m_rootName.begin(), m_rootName.end() );
167 }
168 // Remove trailing "/" from newPath if it exists
169 if ( tmpPath.rfind( SEPARATOR ) == tmpPath.length() - 1 ) {
170 tmpPath.erase( tmpPath.rfind( SEPARATOR ), 1 );
171 }
172 DataObject* pObject = nullptr;
173 StatusCode sc = DataSvc::findObject( tmpPath, pObject );
174 if ( sc.isSuccess() ) {
175 return pObject;
176 }
177 int sep = tmpPath.rfind( SEPARATOR );
178 string rest( tmpPath, sep + 1, tmpPath.length() - sep );
179 string subPath( tmpPath, 0, sep );
180 if ( 0 != sep ) {
181 createPath( subPath );
182 } else {
183 error() << "Unable to create the histogram path" << endmsg;
184 return nullptr;
185 }
186 pObject = createDirectory( subPath, rest );
187 return pObject;
188 }
SEPARATOR
constexpr char SEPARATOR
Definition: RegistryEntry.cpp:41
HistogramSvc::createDirectory
DataObject * createDirectory(const std::string &parentDir, const std::string &subDir) override
Create a sub-directory in a directory.
Definition: HistogramSvc.cpp:191
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
DataSvc::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: DataSvc.h:57
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
DataSvc::findObject
StatusCode findObject(const std::string &fullPath, DataObject *&pObject) override
Find object identified by its full path in the data store.
Definition: DataSvc.cpp:828
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161
std::string::insert
T insert(T...args)
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | const std::string & | opt
| ) |  |
| override

Definition at line 2007 of file HistogramSvc.cpp.

2010 {
2011 return bookProf( name, tit, nx, lowx, upx, opt );
2012 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower,
|  | const std::string & | opt
| ) |  |
| override

Definition at line 2015 of file HistogramSvc.cpp.

2019 {
2020 return bookProf( name, tit, nx, lowx, upx, upper, lower, opt );
2021 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const std::string & |
| ) |  |
| override

Definition at line 2024 of file HistogramSvc.cpp.

2027 {
2028 return bookProf( name, title, x );
2029 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | double | upper,
|  | double | lower,
|  | const std::string & |
| ) |  |
| override

Definition at line 2033 of file HistogramSvc.cpp.

2037 {
2038 return bookProf( name, title, x, upper, lower );
2039 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | nametit,
|  | int | nx,
|  | double | lowx,
|  | double | upx
| ) |  |
| override

Definition at line 2042 of file HistogramSvc.cpp.

2044 {
2045 return bookProf( nametit, nametit, nx, lowx, upx, "s" );
2046 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile1D * HistogramSvc::createProfile1D | ( | const std::string & | nametit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | double | upper,
|  | double | lower
| ) |  |
| override

Definition at line 2049 of file HistogramSvc.cpp.

2052 {
2053 return bookProf( nametit, nametit, nx, lowx, upx, upper, lower, "s" );
2054 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |

Definition at line 2085 of file HistogramSvc.cpp.

2088 {
2089 return bookProf( name, tit, nx, lowx, upx, ny, lowy, upy );
2090 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | const std::string & |
| ) |  |
| override

Definition at line 2093 of file HistogramSvc.cpp.

2097 {
2098 return bookProf( name, tit, nx, lowx, upx, ny, lowy, upy );
2099 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const Edges & | y,
|  | const std::string & |
| ) |  |
| override

Definition at line 2102 of file HistogramSvc.cpp.

2106 {
2107 return bookProf( name, title, x, y );
2108 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | nameAndTitle,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy
| ) |  |
| override

Definition at line 2111 of file HistogramSvc.cpp.

2114 {
2115 return bookProf( nameAndTitle, nameAndTitle, nx, lowx, upx, ny, lowy, upy );
2116 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |

Definition at line 2119 of file HistogramSvc.cpp.

2124 {
2125 return bookProf( name, tit, nx, lowx, upx, ny, lowy, upy, upper, lower );
2126 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | tit,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower,
|  | const std::string & |
| ) |  |
| override

Definition at line 2129 of file HistogramSvc.cpp.

2134 {
2135 return bookProf( name, tit, nx, lowx, upx, ny, lowy, upy, upper, lower );
2136 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | name,
|  | const std::string & | title,
|  | const Edges & | x,
|  | const Edges & | y,
|  | double | upper,
|  | double | lower,
|  | const std::string & |
| ) |  |
| override

Definition at line 2139 of file HistogramSvc.cpp.

2144 {
2145 return bookProf( name, title, x, y, upper, lower );
2146 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

AIDA::IProfile2D * HistogramSvc::createProfile2D | ( | const std::string & | nameAndTitle,
|  | int | nx,
|  | double | lowx,
|  | double | upx,
|  | int | ny,
|  | double | lowy,
|  | double | upy,
|  | double | upper,
|  | double | lower
| ) |  |
| override

Definition at line 2149 of file HistogramSvc.cpp.

2153 {
2154 return bookProf( nameAndTitle, nameAndTitle, nx, lowx, upx,
2155 ny, lowy, upy, upper, lower );
2156 }
HistogramSvc::bookProf
AIDA::IProfile1D * bookProf(const std::string &par, const std::string &rel, const std::string &title, int nx, double lowx, double upx, const std::string &opt) override
Book histogram and register it with the histogram data store.

bool HistogramSvc::destroy | ( | IBaseHistogram * | hist | ) |
| override

Definition at line 351 of file HistogramSvc.cpp.

352 {
353 StatusCode sc = unregisterObject( dynamic_cast<IHistogram*>( hist ) );
354 if ( !sc.isSuccess() ) return false;
355 delete hist;
356 return true;
357 }
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
HistogramSvc::unregisterObject
StatusCode unregisterObject(Base *obj) override
Definition: HistogramSvc.cpp:1138
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26

AIDA::IHistogram1D * HistogramSvc::divide | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram1D & | a,
|  | const AIDA::IHistogram1D & | b
| ) |  |
| override

Definition at line 1727 of file HistogramSvc.cpp.

1730 {
1731 return Helper::act( createCopy( nameAndTitle, a ), b, &TH1::Divide );
1732 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::divide | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram2D & | a,
|  | const AIDA::IHistogram2D & | b
| ) |  |
| override

Definition at line 1759 of file HistogramSvc.cpp.

1762 {
1763 return Helper::act( createCopy( nameAndTitle, a ), b, &TH2D::Divide );
1764 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::divide | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | a,
|  | const AIDA::IHistogram3D & | b
| ) |  |
| override

Definition at line 1791 of file HistogramSvc.cpp.

1794 {
1795 return Helper::act( createCopy( nameAndTitle, a ), b, &TH3D::Divide );
1796 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

StatusCode HistogramSvc::finalize | ( |  | ) |
| override

finalize the service

Definition at line 402 of file HistogramSvc.cpp.

403 {
404 if ( !m_mods1D.empty() ) {
405 if ( msgLevel( MSG::DEBUG ) ) debug() << " Substituted histograms #" << m_mods1D.size() << " : " << endmsg;
406 for ( const auto& ih : m_mods1D ) {
407 if ( msgLevel( MSG::DEBUG ) ) debug() << " Path='" << ih << "'";
408 auto im = m_defs1D.find( ih );
409 if ( m_defs1D.end() != im ) {
410 debug() << " " << im->second;
411 }
412 }
413 m_mods1D.clear();
414 }
415 return DataSvc::finalize();
416 }
HistogramSvc::m_defs1D
Gaudi::Property< Histo1DMap > m_defs1D
Definition: HistogramSvc.h:1371
std::set::empty
T empty(T...args)
HistogramSvc::m_mods1D
std::set< std::string > m_mods1D
Definition: HistogramSvc.h:1374
MSG::DEBUG
Definition: IMessageSvc.h:18
MsgStream::clear
void clear(STATE_TYPE _i=std::ios_base::failbit)
Definition: MsgStream.h:222
DataSvc::finalize
StatusCode finalize() override
Service initialization.
Definition: DataSvc.cpp:1188
std::set::size
T size(T...args)
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
CommonMessagingBase::msgLevel
MSG::Level msgLevel() const
get the output level from the embedded MsgStream
Definition: CommonMessaging.h:135
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode HistogramSvc::findObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1436 of file HistogramSvc.cpp.

1437 {
1438 return Helper( this ).find( pReg, path, obj );
1439 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1441 of file HistogramSvc.cpp.

1442 {
1443 return Helper( this ).find( pReg, path, obj );
1444 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1446 of file HistogramSvc.cpp.

1447 {
1448 return Helper( this ).find( pReg, path, obj );
1449 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1451 of file HistogramSvc.cpp.

1452 {
1453 return Helper( this ).find( pReg, path, obj );
1454 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1456 of file HistogramSvc.cpp.

1457 {
1458 return Helper( this ).find( pReg, path, obj );
1459 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | full,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1461 of file HistogramSvc.cpp.

1462 {
1463 return Helper( this ).find( full, obj );
1464 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | full,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1466 of file HistogramSvc.cpp.

1467 {
1468 return Helper( this ).find( full, obj );
1469 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | full,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1472 of file HistogramSvc.cpp.

1473 {
1474 return Helper( this ).find( full, obj );
1475 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | full,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1478 of file HistogramSvc.cpp.

1479 {
1480 return Helper( this ).find( full, obj );
1481 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | full,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1484 of file HistogramSvc.cpp.

1485 {
1486 return Helper( this ).find( full, obj );
1487 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | const std::string & | rel,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1490 of file HistogramSvc.cpp.

1491 {
1492 return Helper( this ).find( par, rel, obj );
1493 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | const std::string & | rel,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1496 of file HistogramSvc.cpp.

1497 {
1498 return Helper( this ).find( par, rel, obj );
1499 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | const std::string & | rel,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1502 of file HistogramSvc.cpp.

1503 {
1504 return Helper( this ).find( par, rel, obj );
1505 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | const std::string & | rel,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1508 of file HistogramSvc.cpp.

1509 {
1510 return Helper( this ).find( par, rel, obj );
1511 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | const std::string & | rel,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1514 of file HistogramSvc.cpp.

1515 {
1516 return Helper( this ).find( par, rel, obj );
1517 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1520 of file HistogramSvc.cpp.

1521 {
1522 return Helper( this ).find( par, item, obj );
1523 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1526 of file HistogramSvc.cpp.

1527 {
1528 return Helper( this ).find( par, item, obj );
1529 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1532 of file HistogramSvc.cpp.

1533 {
1534 return Helper( this ).find( par, item, obj );
1535 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1538 of file HistogramSvc.cpp.

1539 {
1540 return Helper( this ).find( par, item, obj );
1541 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | const std::string & | par,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1544 of file HistogramSvc.cpp.

1545 {
1546 return Helper( this ).find( par, item, obj );
1547 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1550 of file HistogramSvc.cpp.

1551 {
1552 return Helper( this ).find( par, item, obj );
1553 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1556 of file HistogramSvc.cpp.

1557 {
1558 return Helper( this ).find( par, item, obj );
1559 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1562 of file HistogramSvc.cpp.

1563 {
1564 return Helper( this ).find( par, item, obj );
1565 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1568 of file HistogramSvc.cpp.

1569 {
1570 return Helper( this ).find( par, item, obj );
1571 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1574 of file HistogramSvc.cpp.

1575 {
1576 return Helper( this ).find( par, item, obj );
1577 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1580 of file HistogramSvc.cpp.

1581 {
1582 return Helper( this ).find( par, item, obj );
1583 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1586 of file HistogramSvc.cpp.

1587 {
1588 return Helper( this ).find( par, item, obj );
1589 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1592 of file HistogramSvc.cpp.

1593 {
1594 return Helper( this ).find( par, item, obj );
1595 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1598 of file HistogramSvc.cpp.

1599 {
1600 return Helper( this ).find( par, item, obj );
1601 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1604 of file HistogramSvc.cpp.

1605 {
1606 return Helper( this ).find( par, item, obj );
1607 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1610 of file HistogramSvc.cpp.

1611 {
1612 return Helper( this ).find( detail::cast( par ), item, obj );
1613 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1616 of file HistogramSvc.cpp.

1617 {
1618 return Helper( this ).find( detail::cast( par ), item, obj );
1619 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1622 of file HistogramSvc.cpp.

1623 {
1624 return Helper( this ).find( detail::cast( par ), item, obj );
1625 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1628 of file HistogramSvc.cpp.

1629 {
1630 return Helper( this ).find( detail::cast( par ), item, obj );
1631 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1634 of file HistogramSvc.cpp.

1635 {
1636 return Helper( this ).find( detail::cast( par ), item, obj );
1637 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1640 of file HistogramSvc.cpp.

1642 {
1643 return Helper( this ).find( detail::cast( par ), item, obj );
1644 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1647 of file HistogramSvc.cpp.

1649 {
1650 return Helper( this ).find( detail::cast( par ), item, obj );
1651 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1654 of file HistogramSvc.cpp.

1656 {
1657 return Helper( this ).find( detail::cast( par ), item, obj );
1658 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1661 of file HistogramSvc.cpp.

1663 {
1664 return Helper( this ).find( detail::cast( par ), item, obj );
1665 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::findObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1668 of file HistogramSvc.cpp.

1670 {
1671 return Helper( this ).find( detail::cast( par ), item, obj );
1672 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

AIDA::IHistogramFactory* HistogramSvc::histogramFactory | ( |  | ) |
| inline override

Retrieve the AIDA HistogramFactory interface.

Definition at line 200 of file HistogramSvc.h.

200 { return this; }
template<class T >

T* HistogramSvc::i_book | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | const std::string & | title,
|  | const std::pair< DataObject *, T * > & | o
| ) |  |
| inline

Definition at line 179 of file HistogramSvc.h.

180 {
181 if ( o.first && registerObject( pPar, rel, (Base*)o.second ).isSuccess() ) return o.second;
182 delete o.first;
183 throw GaudiException( "Cannot book " + System::typeinfoName( typeid( T ) ) + " " + title, "HistogramSvc",
184 StatusCode::FAILURE );
185 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105
StatusCode::FAILURE
Definition: StatusCode.h:29
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:299
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
HistogramSvc::Base
AIDA::IBaseHistogram Base
Definition: HistogramSvc.h:69

AIDA::IHistogram2D * HistogramSvc::i_project | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | h,
|  | const std::string & | dir
| ) |  |

Helper for 2D projections.

Definition at line 100 of file HistogramSvc.cpp.

101 {
102 TH3D* h3d = Gaudi::getRepresentation<IHistogram3D, TH3D>( h );
103 if ( h3d ) {
104 TH2D* h2d = dynamic_cast<TH2D*>( h3d->Project3D( dir.c_str() ) );
105 if ( h2d ) {
106 std::pair<DataObject*, AIDA::IHistogram2D*> r = Gaudi::createH2D( h2d );
107 if ( r.second && registerObject( nameAndTitle, r.second ).isSuccess() ) {
108 return r.second;
109 }
110 }
111 }
112 return nullptr;
113 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
Gaudi::createH2D
std::pair< DataObject *, AIDA::IHistogram2D * > createH2D(const AIDA::IHistogram2D &hist)
Copy constructor.
std::pair
std::string::c_str
T c_str(T...args)

std::pair< string, string > HistogramSvc::i_splitPath | ( | const std::string & | full | ) |

Split full path into its components.

Parameters

  full | Full path of the object
  dir | Resulting directory path
  obj | Resulting object path

Definition at line 145 of file HistogramSvc.cpp.

146 {
147 string tmp = full;
148 if ( tmp[0] != SEPARATOR ) {
149 tmp.insert( tmp.begin(), SEPARATOR );
150 tmp.insert( tmp.begin(), m_rootName.begin(), m_rootName.end() );
151 }
152 // Remove trailing "/" from newPath if it exists
153 if ( tmp.rfind( SEPARATOR ) == tmp.length() - 1 ) {
154 tmp.erase( tmp.rfind( SEPARATOR ), 1 );
155 }
156 int sep = tmp.rfind( SEPARATOR );
157 return {tmp.substr( 0, sep ), tmp.substr( sep )};
158 }
SEPARATOR
constexpr char SEPARATOR
Definition: RegistryEntry.cpp:41
DataSvc::m_rootName
Gaudi::Property< std::string > m_rootName
Definition: DataSvc.h:57
std::string::insert
T insert(T...args)

StatusCode HistogramSvc::initialize | ( |  | ) |
| override

Initialise the service.

Definition at line 270 of file HistogramSvc.cpp.

271 {
272 StatusCode status = DataSvc::initialize();
273 // Set root object
274 if ( status.isSuccess() ) {
275 std::unique_ptr<DataObject> rootObj{new DataObject()};
276 status = setRoot( "/stat", rootObj.get() );
277 if ( status.isSuccess() ) {
278 rootObj.release();
279 } else {
280 error() << "Unable to set hstogram data store root." << endmsg;
281 return status;
282 }
283 auto svc = service<IConversionSvc>( "HistogramPersistencySvc", true );
284 if ( svc ) {
285 setDataLoader( svc.get() ).ignore();
286 } else {
287 error() << "Could not find HistogramPersistencySvc." << endmsg;
288 return StatusCode::FAILURE;
289 }
290 // Connect all input streams (if any)
291 for ( auto& j : m_input ) {
292 status = connectInput( j );
293 if ( !status.isSuccess() ) return status;
294 }
295 }
296 if ( !m_defs1D.empty() ) {
297 info() << " Predefined 1D-Histograms: " << endmsg;
298 for ( const auto& ih : m_defs1D ) {
299 info() << " Path='" << ih.first << "'"
300 << " Description " << ih.second << endmsg;
301 }
302 }
303 return status;
304 }
HistogramSvc::m_defs1D
Gaudi::Property< Histo1DMap > m_defs1D
Definition: HistogramSvc.h:1371
StatusCode::FAILURE
Definition: StatusCode.h:29
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
DataSvc::setRoot
StatusCode setRoot(std::string root_name, DataObject *pRootObj) override
Initialize data store for new event by giving new event path and root object.
Definition: DataSvc.cpp:153
DataSvc::setDataLoader
StatusCode setDataLoader(IConversionSvc *svc, IDataProviderSvc *dpsvc=nullptr) override
IDataManagerSvc: IDataManagerSvc: Pass a default data loader to the service and optionally a data pro...
Definition: DataSvc.cpp:202
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
HistogramSvc::connectInput
StatusCode connectInput(const std::string &ident)
Connect input histogram file to the service.
Definition: HistogramSvc.cpp:219
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
GaudiPython.Bindings.DataObject
DataObject
Definition: Bindings.py:51
std::unique_ptr
STL class.
DataSvc::initialize
StatusCode initialize() override
Service initialization.
Definition: DataSvc.cpp:1153
HistogramSvc::m_input
Gaudi::Property< DBaseEntries > m_input
Definition: HistogramSvc.h:1370
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

AIDA::IHistogram1D * HistogramSvc::multiply | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram1D & | a,
|  | const AIDA::IHistogram1D & | b
| ) |  |
| override

Definition at line 1719 of file HistogramSvc.cpp.

1722 {
1723 return Helper::act( createCopy( nameAndTitle, a ), b, &TH1::Multiply );
1724 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::multiply | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram2D & | a,
|  | const AIDA::IHistogram2D & | b
| ) |  |
| override

Definition at line 1751 of file HistogramSvc.cpp.

1754 {
1755 return Helper::act( createCopy( nameAndTitle, a ), b, &TH2D::Multiply );
1756 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::multiply | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | a,
|  | const AIDA::IHistogram3D & | b
| ) |  |
| override

Definition at line 1783 of file HistogramSvc.cpp.

1786 {
1787 return Helper::act( createCopy( nameAndTitle, a ), b, &TH3D::Multiply );
1788 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

void HistogramSvc::not_implemented | ( |  | ) | const
| inline private

Definition at line 60 of file HistogramSvc.h.

61 {
62 error() << "Sorry, not yet implemented..." << endmsg;
63 }
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

std::ostream & HistogramSvc::print | ( | Base * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| override

Print (ASCII) the 1D histogram into the output stream.

Definition at line 118 of file HistogramSvc.cpp.

119 {
120 Gaudi::HistogramBase* b = dynamic_cast<Gaudi::HistogramBase*>( h );
121 if ( b ) return b->print( s );
122 error() << "Unknown histogram type: Cannot cast to Gaudi::HistogramBase." << endmsg;
123 return s;
124 }
Gaudi::HistogramBase::print
virtual std::ostream & print(std::ostream &s) const =0
Print histogram to output stream.
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
Gaudi::HistogramBase
Common base class for all histograms Use is solely functional to minimize dynamic_casts inside Histog...
Definition: HistogramBase.h:22
gaudirun.s
string s
Definition: gaudirun.py:245
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

AIDA::IHistogram1D * HistogramSvc::projectionX | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h
| ) |  |
| override

Definition at line 1675 of file HistogramSvc.cpp.

1677 {
1678 return sliceX( name, h, IAxis::UNDERFLOW_BIN, IAxis::OVERFLOW_BIN );
1679 }
HistogramSvc::sliceX
AIDA::IHistogram1D * sliceX(const std::string &name, const AIDA::IHistogram2D &h, int indexY) override
Definition: HistogramSvc.cpp:1689
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::IHistogram2D * HistogramSvc::projectionXY | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | h
| ) |  |
| override

Definition at line 1799 of file HistogramSvc.cpp.

1801 {
1802 return i_project( nameAndTitle, h, "xy" );
1803 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_project
AIDA::IHistogram2D * i_project(const std::string &nameAndTitle, const AIDA::IHistogram3D &h, const std::string &dir)
Helper for 2D projections.
Definition: HistogramSvc.cpp:100

AIDA::IHistogram2D * HistogramSvc::projectionXZ | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | h
| ) |  |
| override

Definition at line 1806 of file HistogramSvc.cpp.

1808 {
1809 return i_project( nameAndTitle, h, "xz" );
1810 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_project
AIDA::IHistogram2D * i_project(const std::string &nameAndTitle, const AIDA::IHistogram3D &h, const std::string &dir)
Helper for 2D projections.
Definition: HistogramSvc.cpp:100

AIDA::IHistogram1D * HistogramSvc::projectionY | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h
| ) |  |
| override

Definition at line 1682 of file HistogramSvc.cpp.

1684 {
1685 return sliceY( name, h, IAxis::UNDERFLOW_BIN, IAxis::OVERFLOW_BIN );
1686 }
HistogramSvc::sliceY
AIDA::IHistogram1D * sliceY(const std::string &name, const AIDA::IHistogram2D &h, int indexX) override
Definition: HistogramSvc.cpp:1696
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::IHistogram2D * HistogramSvc::projectionYZ | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | h
| ) |  |
| override

Definition at line 1813 of file HistogramSvc.cpp.

1815 {
1816 return i_project( nameAndTitle, h, "yz" );
1817 }
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24
HistogramSvc::i_project
AIDA::IHistogram2D * i_project(const std::string &nameAndTitle, const AIDA::IHistogram3D &h, const std::string &dir)
Helper for 2D projections.
Definition: HistogramSvc.cpp:100

StatusCode HistogramSvc::registerObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | Base * | obj
| ) |  |
| override

Definition at line 1105 of file HistogramSvc.cpp.

1107 {
1108 return registerObject( createPath( parent ), rel, obj );
1109 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105
HistogramSvc::createPath
DataObject * createPath(const std::string &newPath) override
Create all directories in a given full path.
Definition: HistogramSvc.cpp:161

StatusCode HistogramSvc::registerObject | ( | const std::string & | parent,
|  | int | item,
|  | Base * | obj
| ) |  |
| override

Definition at line 1112 of file HistogramSvc.cpp.

1114 {
1115 return registerObject( parent, std::to_string( item ), obj );
1116 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105
std::to_string
T to_string(T...args)

StatusCode HistogramSvc::registerObject | ( | Base * | pPar,
|  | const std::string & | rel,
|  | Base * | obj
| ) |  |
| override

Definition at line 1119 of file HistogramSvc.cpp.

1121 {
1122 return registerObject( detail::cast( pPar ), rel, obj );
1123 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105

StatusCode HistogramSvc::registerObject | ( | DataObject * | pPar,
|  | int | item,
|  | Base * | obj
| ) |  |
| override

Definition at line 1126 of file HistogramSvc.cpp.

1127 {
1128 return registerObject( pPar, std::to_string( item ), obj );
1129 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105
std::to_string
T to_string(T...args)

StatusCode HistogramSvc::registerObject | ( | Base * | pPar,
|  | int | item,
|  | Base * | obj
| ) |  |
| override

Definition at line 1132 of file HistogramSvc.cpp.

1133 {
1134 return registerObject( detail::cast( pPar ), item, obj );
1135 }
HistogramSvc::registerObject
StatusCode registerObject(const std::string &parent, const std::string &rel, Base *obj) override
Definition: HistogramSvc.cpp:1105

StatusCode HistogramSvc::registerObject | ( | const std::string & | full,
|  | Base * | obj
| ) |  |
| override

StatusCode HistogramSvc::registerObject | ( | DataObject * | pPar,
|  | const std::string & | rel,
|  | Base * | obj
| ) |  |
| override

StatusCode HistogramSvc::reinitialize | ( |  | ) |
| override

Initialise the service.

Definition at line 307 of file HistogramSvc.cpp.

308 {
309 return StatusCode::SUCCESS;
310 }
StatusCode::SUCCESS
Definition: StatusCode.h:30

StatusCode HistogramSvc::retrieveObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1156 of file HistogramSvc.cpp.

1158 {
1159 return Helper( this ).retrieve( pReg, path, obj );
1160 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1163 of file HistogramSvc.cpp.

1165 {
1166 return Helper( this ).retrieve( pReg, path, obj );
1167 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1170 of file HistogramSvc.cpp.

1172 {
1173 return Helper( this ).retrieve( pReg, path, obj );
1174 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1177 of file HistogramSvc.cpp.

1179 {
1180 return Helper( this ).retrieve( pReg, path, obj );
1181 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | IRegistry * | pReg,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1184 of file HistogramSvc.cpp.

1186 {
1187 return Helper( this ).retrieve( pReg, path, obj );
1188 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | full,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1191 of file HistogramSvc.cpp.

1193 {
1194 return Helper( this ).retrieve( full, obj );
1195 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | full,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1198 of file HistogramSvc.cpp.

1200 {
1201 return Helper( this ).retrieve( full, obj );
1202 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | full,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1205 of file HistogramSvc.cpp.

1207 {
1208 return Helper( this ).retrieve( full, obj );
1209 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | full,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1212 of file HistogramSvc.cpp.

1214 {
1215 return Helper( this ).retrieve( full, obj );
1216 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | full,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1219 of file HistogramSvc.cpp.

1221 {
1222 return Helper( this ).retrieve( full, obj );
1223 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1226 of file HistogramSvc.cpp.

1229 {
1230 return Helper( this ).retrieve( parent, rel, obj );
1231 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1234 of file HistogramSvc.cpp.

1236 {
1237 return Helper( this ).retrieve( parent, rel, obj );
1238 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1241 of file HistogramSvc.cpp.

1243 {
1244 return Helper( this ).retrieve( parent, rel, obj );
1245 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1248 of file HistogramSvc.cpp.

1250 {
1251 return Helper( this ).retrieve( parent, rel, obj );
1252 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | const std::string & | rel,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1255 of file HistogramSvc.cpp.

1257 {
1258 return Helper( this ).retrieve( parent, rel, obj );
1259 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1262 of file HistogramSvc.cpp.

1264 {
1265 return Helper( this ).retrieve( parent, item, obj );
1266 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1269 of file HistogramSvc.cpp.

1271 {
1272 return Helper( this ).retrieve( parent, item, obj );
1273 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1276 of file HistogramSvc.cpp.

1278 {
1279 return Helper( this ).retrieve( parent, item, obj );
1280 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1283 of file HistogramSvc.cpp.

1285 {
1286 return Helper( this ).retrieve( parent, item, obj );
1287 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | const std::string & | parent,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1290 of file HistogramSvc.cpp.

1292 {
1293 return Helper( this ).retrieve( parent, item, obj );
1294 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1296 of file HistogramSvc.cpp.

1298 {
1299 return Helper( this ).retrieve( par, item, obj );
1300 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1303 of file HistogramSvc.cpp.

1305 {
1306 return Helper( this ).retrieve( par, item, obj );
1307 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1310 of file HistogramSvc.cpp.

1312 {
1313 return Helper( this ).retrieve( par, item, obj );
1314 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1317 of file HistogramSvc.cpp.

1319 {
1320 return Helper( this ).retrieve( par, item, obj );
1321 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1324 of file HistogramSvc.cpp.

1326 {
1327 return Helper( this ).retrieve( par, item, obj );
1328 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1331 of file HistogramSvc.cpp.

1333 {
1334 return Helper( this ).retrieve( par, item, obj );
1335 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1338 of file HistogramSvc.cpp.

1340 {
1341 return Helper( this ).retrieve( par, item, obj );
1342 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1345 of file HistogramSvc.cpp.

1347 {
1348 return Helper( this ).retrieve( par, item, obj );
1349 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1352 of file HistogramSvc.cpp.

1354 {
1355 return Helper( this ).retrieve( par, item, obj );
1356 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | DataObject * | par,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1359 of file HistogramSvc.cpp.

1361 {
1362 return Helper( this ).retrieve( par, item, obj );
1363 }
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1366 of file HistogramSvc.cpp.

1368 {
1369 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1370 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1373 of file HistogramSvc.cpp.

1375 {
1376 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1377 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1380 of file HistogramSvc.cpp.

1382 {
1383 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1384 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1387 of file HistogramSvc.cpp.

1389 {
1390 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1391 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | int | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1394 of file HistogramSvc.cpp.

1396 {
1397 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1398 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IProfile1D *& | obj
| ) |  |
| override

Definition at line 1401 of file HistogramSvc.cpp.

1403 {
1404 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1405 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IProfile2D *& | obj
| ) |  |
| override

Definition at line 1408 of file HistogramSvc.cpp.

1410 {
1411 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1412 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram1D *& | obj
| ) |  |
| override

Definition at line 1415 of file HistogramSvc.cpp.

1417 {
1418 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1419 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram2D *& | obj
| ) |  |
| override

Definition at line 1422 of file HistogramSvc.cpp.

1424 {
1425 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1426 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

StatusCode HistogramSvc::retrieveObject | ( | Base * | par,
|  | const std::string & | item,
|  | AIDA::IHistogram3D *& | obj
| ) |  |
| override

Definition at line 1429 of file HistogramSvc.cpp.

1431 {
1432 return Helper( this ).retrieve( detail::cast( par ), item, obj );
1433 }
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
GaudiPython.Bindings.Helper
Helper
Definition: Bindings.py:46

AIDA::IHistogram1D * HistogramSvc::sliceX | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h,
|  | int | indexY
| ) |  |
| override

Definition at line 1689 of file HistogramSvc.cpp.

1691 {
1692 return sliceX( name, h, indexY, indexY );
1693 }
HistogramSvc::sliceX
AIDA::IHistogram1D * sliceX(const std::string &name, const AIDA::IHistogram2D &h, int indexY) override
Definition: HistogramSvc.cpp:1689
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::IHistogram1D* HistogramSvc::sliceX | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h,
|  | int | indexY1,
|  | int | indexY2
| ) |  |
| override

AIDA::IHistogram2D* HistogramSvc::sliceXY | ( | const std::string & | ,
|  | const AIDA::IHistogram3D & | ,
|  | int | ,
|  | int |
| ) |  |
| inline override

Definition at line 1083 of file HistogramSvc.h.

1086 {
1087 not_implemented();
1088 return nullptr;
1089 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::IHistogram2D* HistogramSvc::sliceXZ | ( | const std::string & | ,
|  | const AIDA::IHistogram3D & | ,
|  | int | ,
|  | int |
| ) |  |
| inline override

Definition at line 1091 of file HistogramSvc.h.

1094 {
1095 not_implemented();
1096 return nullptr;
1097 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::IHistogram1D * HistogramSvc::sliceY | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h,
|  | int | indexX
| ) |  |
| override

Definition at line 1696 of file HistogramSvc.cpp.

1698 {
1699 return sliceY( name, h, indexX, indexX );
1700 }
HistogramSvc::sliceY
AIDA::IHistogram1D * sliceY(const std::string &name, const AIDA::IHistogram2D &h, int indexX) override
Definition: HistogramSvc.cpp:1696
HiveAlgSequencer.h
h
Definition: HiveAlgSequencer.py:24

AIDA::IHistogram1D* HistogramSvc::sliceY | ( | const std::string & | name,
|  | const AIDA::IHistogram2D & | h,
|  | int | indexX1,
|  | int | indexX2
| ) |  |
| override

AIDA::IHistogram2D* HistogramSvc::sliceYZ | ( | const std::string & | ,
|  | const AIDA::IHistogram3D & | ,
|  | int | ,
|  | int |
| ) |  |
| inline override

Definition at line 1099 of file HistogramSvc.h.

1102 {
1103 not_implemented();
1104 return nullptr;
1105 }
HistogramSvc::not_implemented
void not_implemented() const
Definition: HistogramSvc.h:60

AIDA::IHistogram1D * HistogramSvc::subtract | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram1D & | a,
|  | const AIDA::IHistogram1D & | b
| ) |  |
| override

Definition at line 1711 of file HistogramSvc.cpp.

1714 {
1715 return Helper::act( createCopy( nameAndTitle, a ), b, &TH1::Add, -1. );
1716 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram2D * HistogramSvc::subtract | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram2D & | a,
|  | const AIDA::IHistogram2D & | b
| ) |  |
| override

Definition at line 1743 of file HistogramSvc.cpp.

1746 {
1747 return Helper::act( createCopy( nameAndTitle, a ), b, &TH2D::Add, -1. );
1748 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

AIDA::IHistogram3D * HistogramSvc::subtract | ( | const std::string & | nameAndTitle,
|  | const AIDA::IHistogram3D & | a,
|  | const AIDA::IHistogram3D & | b
| ) |  |
| override

Definition at line 1775 of file HistogramSvc.cpp.

1778 {
1779 return Helper::act( createCopy( nameAndTitle, a ), b, &TH3D::Add, -1. );
1780 }
HistogramSvc::Helper::act
static R * act(R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
Definition: HistogramSvc.h:107
HistogramSvc::createCopy
AIDA::IHistogram1D * createCopy(const std::string &full, const AIDA::IHistogram1D &h) override
Definition: HistogramSvc.cpp:1853

StatusCode HistogramSvc::unregisterObject | ( | Base * | obj | ) |
| override

Definition at line 1138 of file HistogramSvc.cpp.

1139 {
1140 return DataSvc::unregisterObject( detail::cast( obj ) );
1141 }
DataSvc::unregisterObject
StatusCode unregisterObject(const std::string &fullPath) override
Unregister object from the data store.
Definition: DataSvc.cpp:471

StatusCode HistogramSvc::unregisterObject | ( | Base * | obj,
|  | const std::string & | objectPath
| ) |  |
| override

Definition at line 1144 of file HistogramSvc.cpp.

1145 {
1146 return DataSvc::unregisterObject( detail::cast( obj ), objectPath );
1147 }
DataSvc::unregisterObject
StatusCode unregisterObject(const std::string &fullPath) override
Unregister object from the data store.
Definition: DataSvc.cpp:471

StatusCode HistogramSvc::unregisterObject | ( | Base * | obj,
|  | int | item
| ) |  |
| override

Definition at line 1150 of file HistogramSvc.cpp.

1151 {
1152 return DataSvc::unregisterObject( detail::cast( obj ), item );
1153 }
DataSvc::unregisterObject
StatusCode unregisterObject(const std::string &fullPath) override
Unregister object from the data store.
Definition: DataSvc.cpp:471

void HistogramSvc::update1Ddefs | ( | Gaudi::Details::PropertyBase & |  | ) |

handler to be invoked for updating property m_defs1D

Definition at line 393 of file HistogramSvc.cpp.

394 {
395 // check and remove the leading '/stat/'
396 removeLeading( m_defs1D.value(), "/stat/" );
397 }
HistogramSvc::m_defs1D
Gaudi::Property< Histo1DMap > m_defs1D
Definition: HistogramSvc.h:1371

std::ostream& HistogramSvc::write | ( | Base * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| override

Write (ASCII) the 1D histogram table into the output stream.

int HistogramSvc::write | ( | Base * | h,
|  | const char * | file_name
| ) |  | const
| override

Write (ASCII) the 1D histogram table into a file.

## Member Data Documentation

Gaudi::Property<Histo1DMap> HistogramSvc::m_defs1D {this, "Predefined1DHistos", {}, "histograms with predefined parameters"}
| private

Definition at line 1371 of file HistogramSvc.h.

Gaudi::Property<DBaseEntries> HistogramSvc::m_input {this, "Input", {}, "input streams"}
| private

Definition at line 1370 of file HistogramSvc.h.

std::set<std::string> HistogramSvc::m_mods1D
| private

Definition at line 1374 of file HistogramSvc.h.

The documentation for this class was generated from the following files:

- GaudiCommonSvc/GaudiCommonSvc/HistogramSvc.h
- GaudiCommonSvc/src/HistogramSvc/HistogramSvc.cpp